<?php
 Session_Start () ;
 If (!$_SESSION ["repertoire_config"]) { Header ("Location: ../../sortie.php?sortie=3") ; }
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;
 
 $ecriture = var_courante ("ecriture", 0, null) ;
 
 If (IsSet ($ecriture))
  {
   If ($ecriture == 1)
    {
     // Variables
     sauvegarde_configuration ("SYSTEME_PARAM", "GENERAL", "JEU_WEB_SQL", $_POST ["jeu_web_sql"]) ;
     sauvegarde_configuration ("SYSTEME_PARAM", "GENERAL", "JEU_SQL_WEB", $_POST ["jeu_sql_web"]) ;
     sauvegarde_configuration ("SYSTEME_PARAM", "GENERAL", "JEU_SQL_PDF", $_POST ["jeu_sql_pdf"]) ;
     
     $rep_exec = GetCwd () ;
     $i = FOpen ("../../include/licence.txt", "r") ;
     $licence = FRead ($i, FileSize ($_SESSION ["repertoire_config"]."/licence.txt")) ;
     FClose ($i) ;
     $fichier  = @FOpen ("../../include/garennes.cfg", "w") ;
     If (($_POST ["sql_port"] == "") Or ($_POST ["sql_port"] <= 0)) { $sql_port = 3306 ; } Else { $sql_port = $_POST ["sql_port"] ; }
     FPuts ($fichier, "<?php\n/*\n") ;
     FPuts ($fichier, $licence) ;
     FPuts ($fichier, "*/\n") ;
     FPuts ($fichier, "\n // Connexion SQL\n") ;
     FPuts ($fichier, " \$sql_adresse = \"".$_POST ["sql_adresse"]."\" ; // Nom DNS ou adresse IP du serveur SQL\n") ;
     FPuts ($fichier, " \$sql_secondaire = \"".$_POST ["sql_secondaire"]."\" ; // Adresse serveur SQL replica 1 (optionnel)\n") ;
     FPuts ($fichier, " \$sql_tertiaire = \"".$_POST ["sql_tertiaire"]."\" ; // Adresse serveur SQL replica 2 (optionnel)\n") ;
     FPuts ($fichier, " \$sql_qui = \"".$_POST ["sql_qui"]."\" ; // Nom de l'identifiant de connexion a la base de donnees SQL\n") ;
     FPuts ($fichier, " \$sql_passe= \"".$_POST ["sql_passe"]."\" ; // Mot de passe pour l'identifiant ci-dessus a la base de donnees SQL\n") ;
     FPuts ($fichier, " \$sql_base = \"".$_POST ["sql_base"]."\" ; // Nom de la base de donnees SQL\n") ;
     FPuts ($fichier, " \$sql_entete = \"".$_POST ["sql_entete"]."\" ; // Entete de la base de donnees SQL\n") ;
     FPuts ($fichier, " \$sql_port = ".$_POST ["sql_port"]." ; // Numero de port SQL (3306=MySQL;5432=PostgreSQL;Rien=Port par defaut)\n") ;
     // Recopiage $bdd si existe
     If (!IsSet ($multi_etablissement)) { $multi_etablissement = 0 ; }
     $activation_mode_supervision = var_courante ("activation_mode_supervision", 0, null) ;
     If (($multi_etablissement == 0) And (IsSet ($activation_mode_supervision)) And ($activation_mode_supervision == 1))
      {
       $sql_adresse_supervision = var_courante ("sql_adresse_supervision", 0, $sql_adresse) ;
       $sql_secondaire_supervision = var_courante ("sql_secondaire_supervision", 0, $sql_secondaire) ;
       $sql_tertiaire_supervision = var_courante ("sql_tertiaire_supervision", 0, $sql_tertiaire) ;
       $sql_qui_supervision = var_courante ("sql_qui_supervision", 0, $sql_qui) ;
       $sql_passe_supervision = var_courante ("sql_passe_supervision", 0, $sql_passe) ;
       $sql_base_supervision = var_courante ("sql_base_supervision", 0, "garennes_supervision") ;
       $sql_entete_supervision = var_courante ("sql_entete_supervision", 0, $sql_entete) ;
       $sql_port_supervision = var_courante ("sql_port_supervision", 0, $sql_port) ;
       $civ_supervision = var_courante ("civ_supervision", 0, 0) ;
       $nom_supervision = filtrage_utf8 (var_courante ("nom_supervision", 0, "Garennes")) ;
       $prenom_supervision = filtrage_utf8 (var_courante ("prenom_supervision", 0, "SuperViseur")) ;
       $identifiant_supervision = var_courante ("identifiant_supervision", 0, "superviseur") ;
       $mdp_supervision = var_courante ("mdp_supervision", 0, "superviseur") ;
       $multi_etablissement = 1 ;
       // Effacement si existe
       $requete = "DROP DATABASE ".$sql_base_supervision ;
       $ok = SQL_commande ($requete, $id_sql) ;
       // Creation de la nouvelle base
       $requete = "CREATE DATABASE ".$sql_base_supervision ;
       $ok = SQL_commande ($requete, $id_sql) ;
       $ok = SQL_fermeture ($id_sql) ;
       // Selection nouvelle base
       $id_sql = SQL_connexion ($sql_adresse_supervision, $sql_qui_supervision, $sql_passe_supervision, $sql_base_supervision, $sql_port_supervision) ;
       If (!$id_sql)
        {
         If ($f = @FSockOpen ($sql_adresse_supervision, $port, $errno, $errstr, $timeout))
          {
           FClose ($f) ;
           $id_sql = SQL_connexion ($sql_adresse_supervision, $sql_qui_supervision, $sql_passe_supervision, $sql_base_supervision, $sql_port_supervision) ;
           If (!$id_sql)
            {
             If ($sql_secondaire != "")
              {
               // Test le serveur secondaire si existe
               If ($f = @FSockOpen ($sql_secondaire_supervision, $sql_port, $errno, $errstr, $timeout))
                {
                 FClose ($f) ;
                 $id_sql = SQL_connexion ($sql_secondaire_supervision, $sql_qui_supervision, $sql_passe_supervision, $sql_base_supervision, $sql_port_supervision) ;
                }
               ElseIf ($sql_tertiaire != "")
                {
                 // Test le serveur tertiaire si existe
                 If ($f = @FSockOpen ($sql_tertiaire_supervision, $sql_port, $errno, $errstr, $timeout))
                  {
                   FClose ($f) ;
                   $id_sql = SQL_connexion ($sql_tertiaire_supervision, $sql_qui_supervision, $sql_passe_supervision, $sql_base_supervision, $sql_port_supervision) ;
                  }
	        }
              }
            }
          }
        }
       If (IsSet ($id_sql))
        {
         // Creation de la table utilisateurs
         $requete = "CREATE TABLE utilisateurs (id_utilisateur int(11) unsigned NOT NULL auto_increment,nom varchar(25) NOT NULL default '',prenom varchar(25) NOT NULL default '',login varchar(200) binary NOT NULL default '',
	             passe varchar(200) binary default NULL,droits int(11) unsigned default '1',civilite int(11) unsigned NOT NULL default '0',theme int(11) unsigned NOT NULL default '0',
		     numen varchar(13) NOT NULL default '',photo tinytext NOT NULL,millesime int(11) unsigned NOT NULL default '0', PRIMARY KEY  (id_utilisateur)) TYPE=MyISAM" ;
         $ok = SQL_commande ($requete, $id_sql) ;
         // Creation de la table des sessions
         $requete = "CREATE TABLE sessions (id_session int(11) unsigned NOT NULL auto_increment,droits int(11) unsigned default NULL,dateheure int(11) unsigned default NULL,
	             dh_maj int(11) unsigned default NULL,utilisateur int(11) unsigned default NULL,date date NOT NULL default '0000-00-00',
		     description text,coefficient float(10,2) NOT NULL default '1.00',theme int(11) unsigned NOT NULL default '0',examen float(10,2) unsigned NOT NULL default '0.00',
		     max int(11) unsigned NOT NULL default '0',sous_matiere int(11) unsigned NOT NULL default '0',ip varchar(15) NOT NULL default '',inactivite int(11) unsigned NOT NULL default '0',
	  	     duree_session int(11) unsigned NOT NULL default '0',actif int(4) unsigned NOT NULL default '0',PRIMARY KEY  (id_session)) TYPE=MyISAM" ;
         $ok = SQL_commande ($requete, $id_sql) ;
	 // Creation de la table menus
	 $requete = "CREATE TABLE menus (id_menu int(11) unsigned NOT NULL auto_increment,numero int(11) unsigned NOT NULL default '0',
	             ordre int(11) unsigned NOT NULL default '0',nom varchar(40) NOT NULL default '',titre tinyint(4) NOT NULL default '0',
		     lien varchar(200) NOT NULL default '',target varchar(200) NOT NULL default '',couleur_texte varchar(7) NOT NULL default '',
		     couleur_fond varchar(7) NOT NULL default '',actif int(4) unsigned NOT NULL default '0',description varchar(200) NOT NULL default '',
		     modification int(4) unsigned NOT NULL default '1', PRIMARY KEY (id_menu)) TYPE=MyISAM;" ;
	 $ok = SQL_commande ($requete, $id_sql) ;
	 $requete = "INSERT INTO utilisateurs (civilite,nom,prenom,login,passe,droits) VALUES ('".$civ_supervision."','".$nom_supervision."','".$prenom_supervision."','".$identifiant_supervision."','".$mdp_supervision."','70')" ;
	 $ok = SQL_commande ($requete, $id_sql) ;
	 $requete = "INSERT INTO menus VALUES ('',70,0,'#31c8c3',-1,'#099491','#5de2c3','#000000','#75d7c8', 1, 'Arial,sans-serif', 1)" ;
	 $ok = SQL_commande ($requete, $id_sql) ;
	 $ok = SQL_fermeture ($id_sql) ;
	 $id_sql = SQL_connexion ($sql_adresse, $sql_qui, $sql_passe, $base_choisie, "") ;
         If (!$id_sql)
          {
           If ($f = @FSockOpen ($sql_adresse, $port, $errno, $errstr, $timeout))
            {
             FClose ($f) ;
             $id_sql = SQL_connexion ($sql_adresse, $sql_qui, $sql_passe, $base_choisie, $sql_port) ;
             If (!$id_sql)
              {
               If ($sql_secondaire != "")
                {
                 // Test le serveur secondaire si existe
                 If ($f = @FSockOpen ($sql_secondaire, $sql_port, $errno, $errstr, $timeout))
                  {
                   FClose ($f) ;
                   $id_sql = SQL_connexion ($sql_secondaire, $sql_qui, $sql_passe, $base_choisie, $sql_port) ;
                  }
                 ElseIf ($sql_tertiaire != "")
                  {
                   // Test le serveur tertiaire si existe
                   If ($f = @FSockOpen ($sql_tertiaire, $sql_port, $errno, $errstr, $timeout))
                    {
                     FClose ($f) ;
                     $id_sql = SQL_connexion ($sql_tertiaire, $sql_qui, $sql_passe, $base_choisie, $sql_port) ;
                    }
	          }
                }
              }
            }
          }
         If (!IsSet ($id_sql))
          {
	   // Probleme d'acces ??? AH !!
	   Exit ;
	  }
	 // Ecriture du fichier de renseignements des bdd
	 $fichier_bdd  = @FOpen ("../../include/garennes_bdd.cfg", "w") ;
	 @FPuts ($fichier_bdd, "<?php\n \$bdd [0][0] = 2 ; // Nombre de bases de donnees a gerer\n") ;
         @FPuts ($fichier_bdd, " \$bdd [1][0] = \"Supervision\" ; // Nom de la base 1 en clair\n") ;
         @FPuts ($fichier_bdd, " \$bdd [1][1] = \"".$sql_base_supervision."\" ; // Nom de la base 1 SQL\n") ;
         @FPuts ($fichier_bdd, " \$bdd [1][2] = \"".$sql_entete_supervision."\" ; // Entete de la base 1 si mono-base\n") ;
         @FPuts ($fichier_bdd, " \$bdd [1][3] = 1 ; // 0=Non active ; 1=Active\n") ;
	 @FPuts ($fichier_bdd, " \$bdd [2][0] = \"Garennes\" ; // Nom de la base 2 en clair\n") ;
         @FPuts ($fichier_bdd, " \$bdd [2][1] = \"".$_POST ["sql_base"]."\" ; // Nom de la base 2 SQL\n") ;
         @FPuts ($fichier_bdd, " \$bdd [2][2] = \"".$_POST ["sql_entete"]."\" ; // Entete de la base 2 si mono-base\n") ;
         @FPuts ($fichier_bdd, " \$bdd [2][3] = 1 ; // 0=Non active ; 1=Active\n") ;
         @FPuts ($fichier_bdd, "?".">") ;
	 @FClose ($fichier_bdd) ;
        }
      }
     If (($sql_port_supervision == "") Or ($sql_port_supervision <= 0)) { $sql_port_supervision = 3306 ; }
     FPuts ($fichier, "\n // Definition des differentes bases de donnees Garennes pouvant etre geree en plus\n") ;
     FPuts ($fichier, " \$multi_etablissement = ".$multi_etablissement." ; // 1:Gestion de plusieurs etablissements, 0:Une seul etablissement\n") ;
     FPuts ($fichier, " \$multi_bases = 1 ; // 1:Plusieurs bases de donnees differentes, 0:Une seule base de donnees\n") ;
     /*
     If (IsSet ($bdd) And (Is_Array ($bdd)) And ($bdd [0][0] > 0))
      {
       FPuts ($fichier, " \$bdd [0][0] = ".$bdd [0][0]." ; // Nombre de bases de donnees a gerer\n") ;
       For ($i = 1 ; $i <= $bdd [0][0] ; $i++)
        {
         FPuts ($fichier, " \$bdd [".$i."][0] = \"".$bdd [$i][0]."\" ; // Nom de la base ".$i." en clair\n") ;
         FPuts ($fichier, " \$bdd [".$i."][1] = \"".$bdd [$i][1]."\" ; // Nom de la base ".$i." SQL\n") ;
        }
      }
     Else
      {
       FPuts ($fichier, " \$bdd [0][0] = 0 ; // Nombre de bases de donnees a gerer\n") ;
       FPuts ($fichier, " \$bdd [1][0] = \"Nom qui apparait dans le bandeau d'authentification\" ; // Nom de la base 1 en clair\n") ;
       FPuts ($fichier, " \$bdd [1][1] = \"nom_de_la_base_donnees_reelle_sql\" ; // Nom de la base 1 SQL\n") ;
      }
     */
     FPuts ($fichier, " // Configuration supervision\n") ;
     FPuts ($fichier, " If (\$multi_etablissement == 1)\n") ;
     FPuts ($fichier, "  {\n") ;
     FPuts ($fichier, "   // Connexion SQL\n") ;
     FPuts ($fichier, "   \$sql_adresse_supervision = \"".$sql_adresse_supervision."\" ; // Nom DNS ou adresse IP du serveur SQL\n") ;
     FPuts ($fichier, "   \$sql_secondaire_supervision = \"".$sql_secondaire_supervision."\" ; // Adresse serveur SQL replica 1 (optionnel)\n") ;
     FPuts ($fichier, "   \$sql_tertiaire_supervision = \"".$sql_tertiaire_supervision."\" ; // Adresse serveur SQL replica 2 (optionnel)\n") ;
     FPuts ($fichier, "   \$sql_qui_supervision = \"".$sql_qui_supervision."\" ; // Nom de l'identifiant de connexion a la base de donnees SQL\n") ;
     FPuts ($fichier, "   \$sql_passe_supervision = \"".$sql_passe_supervision."\" ; // Mot de passe pour l'identifiant ci-dessus a la base de donnees SQL\n") ;
     FPuts ($fichier, "   \$sql_base_supervision = \"".$sql_base_supervision."\" ; // Nom de la base de donnees SQL\n") ;
     FPuts ($fichier, "   \$sql_entete_supervision = \"".$sql_entete_supervision."\" ; // Entete de la base de donnees si mono-base\n") ;
     FPuts ($fichier, "   \$sql_port_supervision = ".$sql_port_supervision." ; // Numero de port SQL (3306=MySQL;5432=PostgreSQL;Rien=Port par defaut)\n") ;
     FPuts ($fichier, "  }\n") ;
     FPuts ($fichier, "\n // Type d'authentification\n") ;
     FPuts ($fichier, " \$auth_mode = \"".$_POST ["auth_mode"]."\" ; // Type d'authentification (0=Interne partielle/1=Interne/2=MySQL/3=LDAP)\n") ;
     FPuts ($fichier, " \$type_bdd = \"MySQL\" ; // Type de base de donnee utilise\n\n") ;
     FPuts ($fichier, " // Le codage\n") ;
     FPuts ($fichier, " \$code_absent = \"".$code_absent."\" ; // Code d'une note pour un eleve ABSENT\n") ;
     FPuts ($fichier, " \$code_dispense = \"".$code_dispense."\" ; // Code d'une note pour un eleve DISPENSE\n") ;
     FPuts ($fichier, " \$code_non_rendu = \"".$code_non_rendu."\" ; // Code d'une note pour un devoir NON RENDU\n") ;
     FPuts ($fichier, " \$code_aucune_note = \"".$code_aucune_note."\" ; // Code interne lorsqu'il n'y a aucune note attribue a un eleve\n") ;
     FPuts ($fichier, " \$code_pas_discipline = \"".$code_pas_discipline."\" ; // Code interne lorsqu'un eleve n'a pas la discipline demande\n") ;
     FPuts ($fichier, " \$note_par_defaut = ".$_POST ["note_par_defaut"]." ; // Notation sur...\n") ;
     
     FPuts ($fichier, "\n // Deconnexion automatique apres ... secondes :\n") ;
     FPuts ($fichier, " \$troptard [".$droit_supervision."] = 3600 ; // Duree d'une session supervision\n") ;
     FPuts ($fichier, " \$troptard [".$droit_admin."] = ".$_POST ["troptard_admin"]." ; // Duree d'une session administrateur\n") ;
     FPuts ($fichier, " \$troptard [".$droit_direction."] = ".$_POST ["troptard_direction"]." ; // Duree d'une session direction\n") ;
     FPuts ($fichier, " \$troptard [".$droit_secretariat."] = ".$_POST ["troptard_secretariat"]." ; // Duree d'une session secretariat\n") ;
     FPuts ($fichier, " \$troptard [".$droit_cpe."] = ".$_POST ["troptard_cpe"]." ; // Duree d'une session cpe\n") ;
     FPuts ($fichier, " \$troptard [".$droit_surveillant."] = ".$_POST ["troptard_surveillant"]." ; // Duree d'une session surveillant\n") ;
     FPuts ($fichier, " \$troptard [".$droit_prof."] = ".$_POST ["troptard_prof"]." ; // Duree d'une session enseignante\n") ;
     FPuts ($fichier, " \$troptard [".$droit_trombinoscope."] = ".$_POST ["troptard_trombinoscope"]." ; // Duree d'une session trombinoscope\n") ;
     FPuts ($fichier, " \$troptard [".$droit_eleve."] = ".$_POST ["troptard_eleve"]." ; // Duree d'une session eleve\n") ;
     
     If (IsSet ($inactivite)) { UnSet ($inactivite) ; }
     FPuts ($fichier, " \$inactivite [".$droit_supervision."] = 3600 ; // Duree d'inactivite supervision (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_admin."] = ".$_POST ["inactivite_admin"]." ; // Duree d'inactivite administrateur (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_direction."] = ".$_POST ["inactivite_direction"]." ; // Duree d'inactivite direction (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_secretariat."] = ".$_POST ["inactivite_secretariat"]." ; // Duree d'inactivite secretariat (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_cpe."] = ".$_POST ["inactivite_cpe"]." ; // Duree d'inactivite cpe (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_surveillant."] = ".$_POST ["inactivite_surveillant"]." ; // Duree d'inactivite surveillant (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_prof."] = ".$_POST ["inactivite_prof"]." ; // Duree d'inactivite prof (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_trombinoscope."] = ".$_POST ["inactivite_trombinoscope"]." ; // Duree d'inactivite trombinoscope (si aucun clic de souris intervient)\n") ;
     FPuts ($fichier, " \$inactivite [".$droit_eleve."] = ".$_POST ["inactivite_eleve"]." ; // Duree d'inactivite eleve (si aucun clic de souris intervient)\n") ;
     
     FPuts ($fichier, " \$duree_deux_message = ".$_POST ["duree_entre_message"]." ; // Duree entre deux messages\n") ;
     FPuts ($fichier, " \$nombre_message = ".$_POST ["nombre_message"]." ; // Nombre de messages avant deconnexion automatique\n") ;
     FPuts ($fichier, "\n // Chemin d'acces aux pages de gestion\n") ;
     FPuts ($fichier, " \$repertoire_racine = \"".$repertoire_racine."\" ; // Chemin d'acces absolu au repertoire de Garennes\n") ;
     FPuts ($fichier, "\n /*\n") ;
     FPuts ($fichier, " *                               Reseau administratif\n") ;
     FPuts ($fichier, " *                                        |\n") ;
     FPuts ($fichier, " *                                        |\n") ;
     FPuts ($fichier, " *  /------------------\\             /---------\\\n") ;
     FPuts ($fichier, " *  | Serveur Garennes |---- DMZ ----| Parefeu |---- Reseau pedagogique\n") ;
     FPuts ($fichier, " *  \\------------------/             \\---------/\n") ;
     FPuts ($fichier, " *                                        |\n") ;
     FPuts ($fichier, " *                                        |\n") ;
     FPuts ($fichier, " *                                     Exterieur\n") ;
     FPuts ($fichier, " **/\n") ;
     FPuts ($fichier, " // Parametres de connexions via le HTTP ou le HTTPs\n") ;
     FPuts ($fichier, " \$hebergement [0][0] = ".$_POST ["nombre_sites"]." ; // Nombre d'adresses possibles\n") ;
     FPuts ($fichier, " \$hebergement [0][1] = ".$_POST ["adresse_defaut"]." ; // Adresse par defaut\n") ;
     For ($i = 1 ; $i <= $_POST ["nombre_sites"] ; $i++)
      {
       FPuts ($fichier, " // Numero ".$i."\n") ;
       FPuts ($fichier, " \$hebergement [".$i."][0] = \"".Str_Replace ("\"", "\\\"", $_POST ["nom_site".$i])."\" ; // Nom su site\n") ;
       FPuts ($fichier, " \$hebergement [".$i."][1] = \"".$_POST ["protocole".$i]."\" ; // Type d'acces : http ou https (preferer https)\n") ;
       FPuts ($fichier, " \$hebergement [".$i."][2] = \"".$_POST ["adresse".$i]."\" ; // Adresse IP ou non DNS de l'hebergeur\n") ;
       FPuts ($fichier, " \$hebergement [".$i."][3] = \"".Str_Replace ("//", "", $_POST ["repertoire".$i])."\" ; // Repertoire d'accueil\n") ;
       FPuts ($fichier, " \$hebergement [".$i."][4] = \"".$_POST ["adresse_reseau".$i]."\" ; // Adresse du reseau\n") ;
       If (!IsSet ($_POST ["active".$i])) { $active = 0 ; } Else { $active = 1 ; }
       FPuts ($fichier, " \$hebergement [".$i."][5] = ".$active." ; // Adresse active (1) ou pas (0)\n") ;
      }
     FPuts ($fichier, " // Recuperation de l'adresse\n") ;
     FPuts ($fichier, " \$ip_client = \$_SERVER [\"REMOTE_ADDR\"] ; If (\$ip_client == \"\") { \$ip_client = GetEnv (\"REMOTE_ADDR\") ; }\n") ;
     FPuts ($fichier, " // Test pour recuperer le profil correspondant\n") ;
     FPuts ($fichier, " \$possible [0] = 0 ; // Numero\n") ;
     FPuts ($fichier, " \$possible [1] = 0 ; // Longueur\n") ;
     FPuts ($fichier, " If (\$hebergement [0][0] > 1)\n") ;
     FPuts ($fichier, "  {\n") ;
     FPuts ($fichier, "   For (\$i = 1 ; \$i <= \$hebergement [0][0] ; \$i++)\n") ;
     FPuts ($fichier, "    {\n") ;
     FPuts ($fichier, "     If ((\$hebergement [\$i][2] != \"\") And (\$hebergement [\$i][5] == 1))\n") ;
     FPuts ($fichier, "      {\n") ;
     FPuts ($fichier, "       If (SubStr (\$ip_client, 0, StrLen (\$hebergement [\$i][4])) == \$hebergement [\$i][4])\n") ;
     FPuts ($fichier, "        {\n") ;
     FPuts ($fichier, "         If ((\$possible [0] == 0) Or (StrLen (\$hebergement [\$i][4]) > \$possible [1]))\n") ;
     FPuts ($fichier, "          {\n") ;
     FPuts ($fichier, "           \$possible [0] = \$i ;\n") ;
     FPuts ($fichier, "           \$possible [1] = StrLen (\$hebergement [\$i][4]) ;\n") ;
     FPuts ($fichier, "          }\n") ;
     FPuts ($fichier, "        }\n") ;
     FPuts ($fichier, "      }\n") ;
     FPuts ($fichier, "    }\n") ;
     FPuts ($fichier, "  }\n") ;
     FPuts ($fichier, " Else { \$possible [0] = \$hebergement [0][1] ; }\n") ;
     FPuts ($fichier, " // Construction de l'adresse\n") ;
     FPuts ($fichier, " If (\$possible [0] == 0) { \$possible [0] = \$hebergement [0][1] ; }\n // Chemin d'acces via navigateur WEB a Garennes\n") ;
     FPuts ($fichier, " \$http_garennes = \$hebergement [\$possible [0]][1].\"://\".\$hebergement [\$possible [0]][2] ;\n") ;
     FPuts ($fichier, " If (\$hebergement [\$possible [0]][2] != \"\") { \$http_garennes .= \"/\" ; }\n") ;
     FPuts ($fichier, " \$http_garennes .= \$hebergement [\$possible [0]][3] ;\n") ;
     FPuts ($fichier, " If (\$hebergement [\$possible [0]][3] != \"\") { \$http_garennes .= \"/\" ; }\n") ;
     //FPuts ($fichier, " If (\$possible [0] == 0) { \$possible [0] = \$hebergement [0][1] ; }\n") ;
     //FPuts ($fichier, " \$http_garennes = \$hebergement [\$possible [0]][1].\"://\".\$hebergement [\$possible [0]][2].\"/\".\$hebergement [\$possible [0]][3].\"/\" ; // Chemin d'acces via navigateur WEB a Garennes\n") ;
     FPuts ($fichier, "\n // Installation OK\n") ;
     FPuts ($fichier, " \$installation = 1 ; // 0 : Installation non fini ou a verifier ; 1 : Installation finie ou ne pas verifier\n") ;
     FPuts ($fichier, "\n // Les differentes pages\n") ;
     FPuts ($fichier, " \$page_sortie = \$http_garennes.\"sortie.php\" ;\n") ;
     FPuts ($fichier, " \$page_premiere = \$http_garennes.\"index.php\" ;\n") ;
     FPuts ($fichier, " \$page_rien = \$http_garennes ;\n") ;
     FPuts ($fichier, "\n // Nom de la frame contenant le logiciel si existe\n") ;
     If (!IsSet ($nom_frame)) { $nom_frame = "" ; }
     If ($nom_frame == "") { FPuts ($fichier, " //") ; } Else { FPuts ($fichier, " ") ; }
     FPuts ($fichier, "\$nom_frame = \"".$nom_frame."\" ;\n") ;
     FPuts ($fichier, "?") ; FPuts ($fichier, ">") ;
     $message = 1 ;
    }
  }
 
 $jeux_init = var_courante ("jeux_init", 0, Null) ;
 If (IsSet ($jeu_init) And ($jeux_init == 1)) { $ok = SQL_commande ("DELETE FROM `configuration` WHERE identification='SYSTEME_PARAM' AND nom='GENERAL' AND indice like 'JEU%'", $id_sql) ; }
 
 Function test_ecriture_rep ($repertoire)
  {
   $ok = 0 ;
   If ($fiche = @FOpen ($repertoire."/essai.php", "w"))
    {
     @FPuts ($fiche, "<?php \$ok=1 ; ?>") ;
     @FClose ($fiche) ;
     @Include ($repertoire."/essai.php") ;
     @UnLink ($repertoire."/essai.php") ;
    }
   Return $ok  ;
  }

 Function test_ecriture_fichier ($repertoire, $fichier)
  {
   $ok = 0 ;
   If (File_Exists ($repertoire."/".$fichier))
    {
     If ($fiche = @FOpen ($repertoire."/".$fichier, "a")) { $ok = 1 ; FClose ($fiche) ; }
    }
   Else { $ok = test_ecriture_rep ($repertoire) ; }
   Return $ok  ;
  }
 
 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0'", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ; 
 Echo "<html><head>" ;
 entete_html ("Garennes", "travail", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 //Include ("./cahier_type_fichier.js") ;
 Echo "</head>" ;
 
 Echo "<body background=\"../images/fond.png\" text=\"#000000\" onContextMenu=\"return false\">" ;
 Echo "<center><font color=\"#0000FF\">Reconfiguration&nbsp;de&nbsp;Garennes.&nbsp;</font></center>" ;
 If (IsSet ($message)) { affiche_message ($message, "") ; }

 If (test_ecriture_fichier ($_SESSION ["repertoire_config"], "garennes.cfg"))
  {
   If (File_Exists ($_SESSION ["repertoire_config"]."/garennes.cfg"))
    {
     Include ($_SESSION ["repertoire_config"]."/garennes.cfg") ;
     While ((SubStr ($http_garennes, StrLen ($http_garennes), 1) == "/") And ($http_garennes != ""))
      { $http_garennes = SubStr ($http_garennes, 0, StrLen ($http_garennes)-1) ; }
    }
   // Test des variables de configuration generales
   If (!IsSet ($sql_adresse)) { $sql_adresse = "localhost" ; }
   If (!IsSet ($sql_qui)) { $sql_qui = "root" ; }
   If (!IsSet ($sql_passe)) { $sql_passe = "" ; }
   If (!IsSet ($sql_port)) { $sql_port = 3306 ; }
   If (!IsSet ($sql_base)) { $sql_base = "garennes" ; }
   If (!IsSet ($sql_entete)) { $sql_entete = "garennes" ; }
   If (!IsSet ($sql_secondaire)) { $sql_secondaire = "localhost" ; }
   If (!IsSet ($sql_tertiaire)) { $sql_tertiaire = "localhost" ; }
   If (!IsSet ($multi_etablissement)) { $multi_etablissement = 0 ; }
   
   If ($multi_etablissement == 1)
    {
     If (!IsSet ($sql_adresse_supervision)) { $sql_adresse_supervision = $sql_adresse ; }
     If (!IsSet ($sql_secondaire_supervision)) { $sql_secondaire_supervision = $sql_secondaire ; }
     If (!IsSet ($sql_tertiaire_supervision)) { $sql_tertiaire_supervision = $sql_tertiaire ; }
     If (!IsSet ($sql_qui_supervision)) { $sql_qui_supervision = $sql_qui ; }
     If (!IsSet ($sql_passe_supervision)) { $sql_passe_supervision = $sql_passe ; }
     If (!IsSet ($sql_base_supervision)) { $sql_base_supervision = $sql_base ; }
     If (!IsSet ($sql_entete_supervision)) { $sql_entete_supervision = "" ; }
     If (!IsSet ($sql_port_supervision)) { $sql_port_supervision = $sql_port ; }
    }
   Else
    {
     $sql_adresse_supervision = $sql_adresse ;
     $sql_secondaire_supervision = $sql_secondaire ;
     $sql_tertiaire_supervision = $sql_tertiaire ;
     $sql_qui_supervision = $sql_qui ;
     $sql_passe_supervision = $sql_passe ;
     $sql_base_supervision = $sql_base ;
     $sql_entete_supervision = "" ;
     $sql_port_supervision = $sql_port ;
    }
   If (!IsSet ($auth_mode)) { $auth_mode = "1" ; } // Authentification interne par defaut
   If (!IsSet ($code_absent)) { $code_absent = "A" ; }
   If (!IsSet ($code_dispense)) { $code_dispense = "D" ; }
   If (!IsSet ($code_non_rendu)) { $code_non_rendu = "N" ; }
   If (!IsSet ($code_aucune_note)) { $code_aucune_note = "?" ; }
   If (!IsSet ($code_pas_discipline)) { $code_pas_discipline = "??" ; }
   If (!IsSet ($note_par_defaut)) { $note_par_defaut = 20 ; }
   
   If (!IsSet ($troptard [$droit_admin])) { $troptard [$droit_admin] = 10000 ; }
   If (!IsSet ($troptard [$droit_direction])) { $troptard [$droit_direction] = 10000 ; }
   If (!IsSet ($troptard [$droit_secretariat])) { $troptard [$droit_secretariat] = 10000 ; }
   If (!IsSet ($troptard [$droit_cpe])) { $troptard [$droit_cpe] = 10000 ; }
   If (!IsSet ($troptard [$droit_surveillant])) { $troptard [$droit_surveillant] = 10000 ; }
   If (!IsSet ($troptard [$droit_prof])) { $troptard [$droit_prof] = 8000 ; }
   If (!IsSet ($troptard [$droit_trombinoscope])) { $troptard [$droit_trombinoscope] = 8000 ; }
   If (!IsSet ($troptard [$droit_eleve])) { $troptard [$droit_eleve] = 6000 ; }
   
   If (!Is_Array ($inactivite)) { Unset ($inactivite) ; }
   If (!IsSet ($inactivite [$droit_admin])) { $inactivite [$droit_admin] = 900 ; }
   If (!IsSet ($inactivite [$droit_direction])) { $inactivite [$droit_direction] = 3600 ; }
   If (!IsSet ($inactivite [$droit_secretariat])) { $inactivite [$droit_secretariat] = 3600 ; }
   If (!IsSet ($inactivite [$droit_cpe])) { $inactivite [$droit_cpe] = 900 ; }
   If (!IsSet ($inactivite [$droit_surveillant])) { $inactivite [$droit_surveillant] = 900 ; }
   If (!IsSet ($inactivite [$droit_prof])) { $inactivite [$droit_prof] = 900 ; }
   If (!IsSet ($inactivite [$droit_trombinoscope])) { $inactivite [$droit_trombinoscope] = 900 ; }
   If (!IsSet ($inactivite [$droit_eleve])) { $inactivite [$droit_eleve] = 600 ; }
   
   If (!IsSet ($duree_entre_message)) { $duree_entre_message = 30 ; }
   If (!IsSet ($nombre_message)) { $nombre_message = 4 ; }
   If (!IsSet ($hebergement))
    {
     $hebergement [0][0] = 4 ;
     $hebergement [0][1] = 1 ;
                 
     $hebergement [1][0] = "R&eacute;seau p&eacute;dagogique" ;
     If (!IsSet ($_SERVER ["HTTPS"]) Or (IsSet ($_SERVER ["HTTPS"]) And ($_SERVER ["HTTPS"] != "on"))) { $hebergement [1][1] = "http" ; }
     Else { $hebergement [1][1] = "https" ; }
     $hebergement [1][2] = GetEnv ("SERVER_ADDR") ;
     $racine = Str_Replace ("/", "", Str_Replace ("/administration/pages/reconfiguration.php", "", "reconfiguration.php")) ;
     $hebergement [1][3] = $racine ;
     $hebergement [1][4] = SubStr ($hebergement [1][2], 0, StrPos ($hebergement [1][2], ".")+1) ;
     $hebergement [1][5] = 1 ;
                  
     $hebergement [2][0] = "R&eacute;seau administratif" ;
     $hebergement [2][1] = $hebergement [1][1] ;
     $hebergement [2][2] = $hebergement [1][2] ;
     $hebergement [2][3] = $hebergement [1][3] ;
     $hebergement [2][4] = $hebergement [1][4] ;
     $hebergement [2][5] = 1 ;
                 
     $hebergement [3][0] = "Acc&egrave;s externe" ;
     $hebergement [3][1] = $hebergement [1][1] ;
     $hebergement [3][2] = $hebergement [1][2] ;
     $hebergement [3][3] = $hebergement [1][3] ;
     $hebergement [3][4] = $hebergement [1][4] ;
     $hebergement [3][5] = 1 ;
                 
     $hebergement [4][0] = "Autre acc&eagrave;s" ;
     $hebergement [4][1] = $hebergement [1][1] ;
     $hebergement [4][2] = $hebergement [1][2] ;
     $hebergement [4][3] = $hebergement [1][3] ;
     $hebergement [4][4] = $hebergement [1][4] ;
     $hebergement [4][5] = 0 ;
    }
   If (!IsSet ($hebergement [1][5]))
    {
     $hebergement [1][5] = 1 ;
     $hebergement [2][5] = 1 ;
     $hebergement [3][5] = 1 ;
     $hebergement [4][5] = 0 ;
    }
   // Gestion des onglets
   Echo "<script type=\"text/javascript\">" ;
   Include ($_SESSION ["repertoire_config"]."/onglets.js") ;
   Echo "onglet_style ('#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#000000','#80add6','".$l ["nom"]."','".$l ["couleur_fond"]."','".$l ["nom"]."'" ;
   If ($droit_courant == $droit_admin) { Echo ",'../images/degrade.gif','');" ; } Else { Echo ",'','');" ; }   
   Echo "var onglets = new definition_onglet (\"onglets\", '', '', 50, 25, 0, '".$l ["lien"]."');" ;
   // Aide
   Echo "onglets.ajouter (new item_onglet (\"Introduction\", \"Quelques renseignements...\"));" ;
   // Onglets
   Echo "onglets.ajouter (new item_onglet (\"Jeux caract&egrave;res\", \"D&eacute;finition des jeux de caract&egrave;res utili&eacute;s.\"));" ;
   Echo "onglets.ajouter (new item_onglet (\"Dur&eacute;es\", \"D&eacute;finition  des dur&eacute;es de sessions/connexions.\"));" ;
   Echo "onglets.ajouter (new item_onglet (\"Codes de gestion\", \"Fonctionnement interne.\"));" ;
   If (($multi_etablissement == 0) Or (($multi_etablissement == 1) And ($droit_courant == $droit_supervision)))
    {
     Echo "onglets.ajouter (new item_onglet (\"Authentification\", \"Type d'authentification des utilisateurs\"));" ;
     Echo "onglets.ajouter (new item_onglet (\"Base SQL\", \"Gestion de la connexion &agrave; la base SQL.\"));" ;
     Echo "onglets.ajouter (new item_onglet (\"H&eacute;bergement\", \"Renseignements sur le site de l'installation.\"));" ;
    }
   If (($multi_etablissement == 0) And ($droit_courant == $droit_admin))
    {
     Echo "onglets.ajouter (new item_onglet (\"Mode&nbsp;Supervision\", \"Activation du mode SuperVision.\"));" ;
    }
   Echo "</script>" ;
   // Formulaire
   Echo "<FORM ACTION=\"./reconfiguration.php\" METHOD=\"POST\" name=\"param\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"ecriture\" VALUE=\"1\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"onglet\" VALUE=\"0\">" ;
   
   Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" align=\"center\">" ;
   Echo "<TR><TD>" ;
                
   Echo "<script> onglets.afficher_entete(); </script>" ;
               
   // Aide
   Echo "<DIV id=\"onglets0\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
   Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
   Echo "<tr><td bgcolor=\"".$l ["nom"]."\">&nbsp;<b>Re-Configuration&nbsp;de&nbsp;Garennes&nbsp;&nbsp;en&nbsp;" ;
   If (($multi_etablissement == 0) Or (($multi_etablissement == 1) And ($droit_courant == $droit_supervision)))
    { Echo (5+(($multi_etablissement == 0) And ($droit_courant == $droit_admin))) ; } Else { Echo "2" ; }
   Echo "&nbsp;points</b>&nbsp;:&nbsp;</TD></TR>" ;
   Echo "<tr><td>&nbsp;</td></tr>" ;
   Echo "<tr><td>&nbsp;-&nbsp;<b>Jeux&nbsp;de&nbsp;caract&egrave;res&nbsp;</b>:&nbsp;D&eacute;finition&nbsp;des&nbsp;jeux&nbsp;de&nbsp;caract&egrave;res&nbsp;utilis&eacute;s&nbsp;lors&nbsp;des&nbsp;connexions.&nbsp;</TD></TR>" ;
   Echo "<tr><td>&nbsp;</td></tr>" ;
   Echo "<tr><td>&nbsp;-&nbsp;<b>Dur&eacute;es&nbsp;</b>:&nbsp;D&eacute;finition&nbsp;des&nbsp;dur&eacute;es&nbsp;de&nbsp;connexion.&nbsp;</TD></TR>" ;
   Echo "<tr><td>&nbsp;</td></tr>" ;
   Echo "<tr><td>&nbsp;-&nbsp;<b>Codes&nbsp;de&nbsp;gestion&nbsp;</b>:&nbsp;Quelques&nbsp;codes&nbsp;utilis&eacute;s&nbsp;dans&nbsp;l'interface&nbsp;de&nbsp;notes.&nbsp;</TD></TR>" ;
   Echo "<tr><td>&nbsp;</td></tr>" ;
   If (($multi_etablissement == 0) Or (($multi_etablissement == 1) And ($droit_courant == $droit_supervision)))
    {
     Echo "<tr><td>&nbsp;-&nbsp;<b>Authentification&nbsp;</b>:&nbsp;D&eacute;finition&nbsp;du&nbsp;type&nbsp;d'authentification&nbsp;des&nbsp;utilisateurs.&nbsp;</TD></TR>" ;
     Echo "<tr><td>&nbsp;</td></tr>" ;
     Echo "<tr><td>&nbsp;-&nbsp;<b>Base&nbsp;SQL&nbsp;</b>:&nbsp;Param&eacute;trage&nbsp;de&nbsp;la&nbsp;base&nbsp;de&nbsp;donn&eacute;es.&nbsp;</TD></TR>" ;
     Echo "<tr><td>&nbsp;</td></tr>" ;
     Echo "<tr><td>&nbsp;-&nbsp;<b>H&eacute;bergement&nbsp;</b>:&nbsp;D&eacute;claration&nbsp;des&nbsp;sites&nbsp;h&eacute;bergeant&nbsp;Garennes.&nbsp;</TD></TR>" ;
     Echo "<tr><td>&nbsp;</td></tr>" ;
    }
   If (($multi_etablissement == 0) And ($droit_courant == $droit_admin))
    {
     Echo "<tr><td>&nbsp;-&nbsp;<b>Mode&nbsp;SuperVision&nbsp;</b>:&nbsp;Activation&nbsp;du&nbsp;mode&nbsp;SuperVision&nbsp;(H&eacute;bergement&nbsp;de&nbsp;plusieurs&nbsp;&eacute;tablissements&nbsp;ind&eacute;pendants).&nbsp;</TD></TR>" ;
     Echo "<tr><td>&nbsp;</td></tr>" ;
    }
   Echo "<tr><td>&nbsp;</td></tr>" ;
   Echo "</table></div>" ;
   $num_div = 1 ;
   
   // Jeux de caracteres :
   Echo "<div id=\"onglets".$num_div."\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
   Echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
   Echo "<tr><td rowspan=\"2\" width=\"50\"><img src=\"../images/jeux_car.png\"></td><td colspan=\"4\" bgcolor=\"".$l ["nom"]."\">&nbsp;<b>Jeux de caract&egrave;res :</b>&nbsp;</td></tr>" ;
   Echo "<tr><td colspan=\"4\">&nbsp;</td></tr>" ;
   // Recuperation des variables
   $navigateur_type_codage = restaure_configuration_defaut ("SYSTEME_PARAM", "GENERAL", "JEU_WEB_NAV", $navigateur_type_codage) ;
   $caracteres_client_serveur_SQL = restaure_configuration_defaut ("SYSTEME_PARAM", "GENERAL", "JEU_WEB_SQL", $caracteres_client_SQL) ;
   $caracteres_serveur_SQL_client = restaure_configuration_defaut ("SYSTEME_PARAM", "GENERAL", "JEU_SQL_WEB", $caracteres_serveur_SQL) ;
   $caracteres_serveur_SQL_document_PDF = restaure_configuration_defaut ("SYSTEME_PARAM", "GENERAL", "JEU_SQL_PDF", $caracteres_document_PDF) ;
   $variables = SQL_commande ("SHOW CHARACTER SET", $id_sql) ;
   $nbr_var = SQL_nbr_lignes ($variables) ;
   For ($i = 0 ; $i < $nbr_var ; $i++)
    {
     $ligne = SQL_ligne_suivante ($variables) ;
     $jeux [$i] = $ligne [0] ;
    }
   Sort ($jeux) ;
   // Initialisation des jeux par defaut
   //Echo "<tr><td colspan=\"5\">&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td>&nbsp;</td><td align=\"center\" colspan=\"3\"><b>Remettre&nbsp;les&nbsp;jeux&nbsp;de&nbsp;caract&egrave;res&nbsp;par&nbsp;d&eacute;faut</b>&nbsp;</td><td>&nbsp;</td></tr>" ;
   Echo "<tr><td colspan=\"5\" align=\"center\"><b>Jeux&nbsp;d&eacute;finis&nbsp;par&nbsp;d&eacute;faut&nbsp;dans&nbsp;init.php&nbsp;</b>:&nbsp;</td></tr>" ;
   Echo "<tr><td colspan=\"3\" align=\"right\">Transmission&nbsp;Garennes&nbsp;->&nbsp;Navigateur&nbsp;:&nbsp;</td><td colspan=\"2\"><b>".$navigateur_type_codage."</b></td></tr>" ;
   Echo "<tr><td colspan=\"3\" align=\"right\">Transmission&nbsp;Client&nbsp;&nbsp;->&nbsp;Serveur&nbsp;:&nbsp;</td><td colspan=\"2\"><b>".$caracteres_client_serveur_SQL."</b></td></tr>" ;
   Echo "<tr><td colspan=\"3\" align=\"right\">Transmission&nbsp;Serveur&nbsp;->&nbsp;Client&nbsp;:&nbsp;</td><td colspan=\"2\"><b>".$caracteres_serveur_SQL_client."</b></td></tr>" ;
   Echo "<tr><td colspan=\"3\" align=\"right\">Transmission&nbsp;Serveur&nbsp;->&nbsp;PDF&nbsp;:&nbsp;</td><td colspan=\"2\"><b>".$caracteres_serveur_SQL_document_PDF."</b></td></tr>" ;
   Echo "<tr><td colspan=\"5\">&nbsp;</td></tr>" ;
   Echo "<tr><td colspan=\"5\" align=\"center\"><a href=\"./reconfiguration.php?jeux_init=1\">&nbsp;Cliquer&nbsp;ici&nbsp;pour&nbsp;r&eacute;-initialiser&nbsp;les&nbsp;jeux&nbsp;de&nbsp;caract&egrave;res&nbsp;</a></td></tr>" ;
   // Transmission Garennes -> Navigateur
   Echo "<tr><td colspan=\"5\">&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td>&nbsp;</td><td align=\"center\" colspan=\"3\"><b>Garennes&nbsp;vers&nbsp;Navigateur</b>&nbsp;</td><td>&nbsp;</td></tr>" ;
   Echo "<tr width=\"100%\"><td align=\"center\">&nbsp;<img src=\"../../images/tete_garennes.png\"><br>&nbsp;Garennes&nbsp;</td><td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\">" ;
   Echo "<select name=\"jeu_web_nav\">" ;
   Echo "<option value=\"AUCUN\"" ; If ($navigateur_type_codage == "AUCUN") { Echo " selected" ; }
   Echo ">AUCUN</option>" ;
   Echo "<option value=\"UTF-8\"" ; If ($navigateur_type_codage == "UTF-8") { Echo " selected" ; }
   Echo ">UTF-8</option>" ;
   Echo "<option value=\"ISO-8859-1\"" ; If ($navigateur_type_codage == "ISO-8859-1") { Echo " selected" ; }
   Echo ">ISO-8859-1</option>" ;
   Echo "<option value=\"ISO-8859-15\"" ; If ($navigateur_type_codage == "ISO-8859-15") { Echo " selected" ; }
   Echo ">ISO-8859-15</option>" ;
   Echo "</select></td>" ;
   Echo "<td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\"><img src=\"../images/client.png\"><br>&nbsp;Navigateur&nbsp;</td></tr>" ;
   // Transmission Client -> Serveur
   Echo "<tr><td colspan=\"5\">&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td>&nbsp;</td><td align=\"center\" colspan=\"3\"><b>Garennes&nbsp;vers&nbsp;Serveur&nbsp;SQL</b>&nbsp;</td><td>&nbsp;</td></tr>" ;
   Echo "<tr width=\"100%\"><td align=\"center\">&nbsp;<img src=\"../../images/tete_garennes.png\"><br>&nbsp;Garennes&nbsp;</td><td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\">" ;
   Echo "<select name=\"jeu_web_sql\">" ;
   Echo "<option value=\"AUCUN\"" ; If ($caracteres_client_serveur_SQL == "AUCUN") { Echo " selected" ; }
   Echo ">AUCUN</option>" ;
   For ($i = 0 ; $i < $nbr_var ; $i++)
    {
     Echo "<option value=\"".$jeux [$i]."\"" ; If ($caracteres_client_serveur_SQL == $jeux [$i]) { Echo " selected" ; }
     Echo ">".$jeux [$i]."</option>" ;
    }
   Echo "</select></td>" ;
   Echo "<td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\"><img src=\"../images/base_sql.png\"><br>&nbsp;Serveur&nbsp;SQL&nbsp;</td></tr>" ;
   // Transmission Serveur -> Client
   Echo "<tr><td colspan=\"5\">&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td>&nbsp;</td><td align=\"center\" colspan=\"3\"><b>Serveur&nbsp;SQL&nbsp;vers&nbsp;Garennes</b>&nbsp;</td><td>&nbsp;</td></tr>" ;
   Echo "<tr width=\"100%\"><td align=\"center\">&nbsp;<img src=\"../images/base_sql.png\"><br>&nbsp;Serveur&nbsp;SQL&nbsp;</td><td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\">" ;
   $variables = SQL_commande ("SHOW CHARACTER SET", $id_sql) ;
   $nbr_var = SQL_nbr_lignes ($variables) ;
   Echo "<select name=\"jeu_sql_web\">" ;
   Echo "<option value=\"AUCUN\"" ; If ($caracteres_serveur_SQL_client == "AUCUN") { Echo " selected" ; }
   Echo ">AUCUN</option>" ;
   For ($i = 0 ; $i < $nbr_var ; $i++)
    {
     Echo "<option value=\"".$jeux [$i]."\"" ; If ($caracteres_serveur_SQL_client == $jeux [$i]) { Echo " selected" ; }
     Echo ">".$jeux [$i]."</option>" ;
    }
   Echo "</select></td>" ;
   Echo "<td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\"><img src=\"../../images/tete_garennes.png\"><br>&nbsp;Garennes&nbsp;</td></tr>" ;
   // Transmission Serveur -> PDF
   Echo "<tr><td colspan=\"5\">&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td>&nbsp;</td><td align=\"center\" colspan=\"3\"><b>Serveur&nbsp;SQL&nbsp;vers&nbsp;Document&nbsp;PDF&nbsp;Client</b>&nbsp;</td><td>&nbsp;</td></tr>" ;
   Echo "<tr width=\"100%\"><td align=\"center\">&nbsp;<img src=\"../images/base_sql.png\"><br>&nbsp;Serveur&nbsp;SQL&nbsp;</td><td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\">" ;
   $variables = SQL_commande ("SHOW CHARACTER SET", $id_sql) ;
   $nbr_var = SQL_nbr_lignes ($variables) ;
   Echo "<select name=\"jeu_sql_pdf\">" ;
   Echo "<option value=\"AUCUN\"" ; If ($caracteres_serveur_SQL_document_PDF == "AUCUN") { Echo " selected" ; }
   Echo ">AUCUN</option>" ;
   For ($i = 0 ; $i < $nbr_var ; $i++)
    {
     Echo "<option value=\"".$jeux [$i]."\"" ; If ($caracteres_serveur_SQL_document_PDF == $jeux [$i]) { Echo " selected" ; }
     Echo ">".$jeux [$i]."</option>" ;
    }
   Echo "</select></td>" ;
   Echo "<td align=\"center\"><img src=\"../images/fleches_droites.gif\"></td><td align=\"center\"><img src=\"../images/pdf.png\"><br>&nbsp;Document&nbsp;PDF&nbsp;</td></tr>" ;
   Echo "</table>" ;
   Echo "</div>" ;
   $num_div++ ;
   
   // Durees :
   Echo "<div id=\"onglets".$num_div."\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
   Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
   Echo "<TR><td rowspan=\"2\" width=\"50\"><img src=\"../images/durees.png\"></td><TD COLSPAN=\"3\" BGCOLOR=\"".$l ["nom"]."\">&nbsp;<B>Quelques renseignements d'ordre g&eacute;n&eacute;ral :</B>&nbsp;</TD></TR>" ;
   Echo "<TR><TD colspan=\"3\">&nbsp;</TD></TR>" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td>&nbsp;</td><td align=\"right\"><b>Dur&eacute;e&nbsp;maximale</b>&nbsp;</td>" ;
   Echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>d'une&nbsp;session</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>" ;
   Echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>d'inactivit&eacute;</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td></TR>" ;
   If (($multi_etablissement == 1) And ($droit_courant == $droit_supervision))
    {
     Echo "<TR bgcolor=\"".$l ["nom"]."\">" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>SuperVision</B> :&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_supervision\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_supervision]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_supervision\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_supervision]."\">&nbsp;secondes&nbsp;</TD>" ;
     Echo "</TR>" ;
    }
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Administrateur</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_admin\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_admin]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_admin\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_admin]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR bgcolor=\"".$l ["nom"]."\">" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Direction</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_direction\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_direction]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_direction\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_direction]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Secr&eacute;tariat</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_secretariat\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_secretariat]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_secretariat\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_secretariat]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR bgcolor=\"".$l ["nom"]."\">" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>CPE</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_cpe\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_cpe]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_cpe\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_cpe]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Surveillant</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_surveillant\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_surveillant]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_surveillant\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_surveillant]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR bgcolor=\"".$l ["nom"]."\">" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Enseignant</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_prof\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_prof]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_prof\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_prof]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Trombinoscope</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_trombinoscope\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_trombinoscope]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_trombinoscope\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_trombinoscope]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR bgcolor=\"".$l ["nom"]."\">" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>&Eacute;l&egrave;ve</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"troptard_eleve\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$troptard [$droit_eleve]."\">&nbsp;secondes&nbsp;et&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"inactivite_eleve\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$inactivite [$droit_eleve]."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nombre&nbsp;de&nbsp;messages&nbsp;avant&nbsp;d&eacute;connexion&nbsp;automatique</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD colspan=\"2\"><INPUT TYPE=\"TEXT\" NAME=\"nombre_message\" SIZE=\"3\" MAXLENGTH=\"2\" VALUE=\"".$nombre_message."\">&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<TR bgcolor=\"".$l ["nom"]."\">" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Dur&eacute;e&nbsp;entre&nbsp;deux&nbsp;messages&nbsp;d'avertissement</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD colspan=\"2\"><INPUT TYPE=\"TEXT\" NAME=\"duree_entre_message\" SIZE=\"7\" MAXLENGTH=\"10\" VALUE=\"".$duree_entre_message."\">&nbsp;secondes&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<tr><td colspan=\"4\">&nbsp;</td></tr>" ;
   Echo "</table></div>" ;
   $num_div++ ;
                
   // Codes de gestion
   Echo "<div id=\"onglets".$num_div."\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
   Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
   Echo "<TR><td rowspan=\"2\" width=\"50\"><img src=\"../images/codes_gestion.png\"></td><TD colspan=\"2\" BGCOLOR=\"".$l ["nom"]."\">&nbsp;<B>Renseignements&nbsp;sur&nbsp;le&nbsp;fonctionnement&nbsp;:</B>&nbsp;</TD></TR>" ;
   Echo "<TR><td>&nbsp;</td><TD colspan=\"2\">&nbsp;</TD></TR>" ;
   Echo "<TR><TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Code&nbsp;pour&nbsp;une&nbsp;note&nbsp;ABSENT</B>&nbsp;:&nbsp;</TD><TD>".$code_absent."&nbsp;</TD></TR>" ;
   Echo "<TR><TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Code&nbsp;pour&nbsp;une&nbsp;note&nbsp;DISPENSE</B>&nbsp;:&nbsp;</TD><TD>".$code_dispense."&nbsp;</TD></TR>" ;
   Echo "<TR><TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Code&nbsp;pour&nbsp;un&nbsp;devoir&nbsp;NON&nbsp;RENDU</B>&nbsp;:&nbsp;</TD><TD>".$code_non_rendu."&nbsp;</TD></TR>" ;
   Echo "<TR><TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Code&nbsp;pour&nbsp;aucune&nbsp;note</B>&nbsp;:&nbsp;</TD><TD>".$code_aucune_note."&nbsp;</TD></TR>" ;
   Echo "<TR><TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Code&nbsp;pour&nbsp;aucune&nbsp;discipline</B>&nbsp;:&nbsp;</TD><TD>".$code_pas_discipline."&nbsp;</TD></TR>" ;
   Echo "<TR><TD COLSPAN=\"3\">&nbsp;</TD></TR>" ;
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Notes&nbsp;sur</B>&nbsp;:&nbsp;</TD>" ;
   Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"note_par_defaut\" VALUE=\"".$note_par_defaut."\" SIZE=\"5\" MAXLENGTH=\"4\">&nbsp;points&nbsp;</TD>" ;
   Echo "</TR>" ;
   Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
   Echo "</table></div>" ;
   $num_div++ ;
    
   If (($multi_etablissement == 0) Or (($multi_etablissement == 1) And ($droit_courant == $droit_supervision)))
    {          
     // Authentification
     Echo "<div id=\"onglets".$num_div."\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
     Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
     Echo "<TR><td rowspan=\"2\" width=\"50\"><img src=\"../images/authentification.png\"></td><TD COLSPAN=\"2\">&nbsp;</TD></TR>" ;
     Echo "<TR><td>&nbsp;</td><TD colspan=\"2\">&nbsp;</TD></TR>" ;
     Echo "<TR><TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Type&nbsp;d'authentification&nbsp;des&nbsp;utilisateurs</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><SELECT NAME=\"auth_mode\"><OPTION VALUE=\"1\">En interne (Garennes)</SELECT>&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<tr><td colspan=\"2\">&nbsp;</td></tr>" ;
     Echo "</table></div>" ;
     $num_div++ ;
                
     // Base SQL
     Echo "<div id=\"onglets".$num_div."\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
     Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
     Echo "<TR><td rowspan=\"2\" width=\"50\"><img src=\"../images/base_sql.png\"></td><TD COLSPAN=\"2\" BGCOLOR=\"".$l ["nom"]."\">&nbsp;<B>Quelques renseignements sur la base SQL :</B>&nbsp;</TD></TR>" ;
     Echo "<TR><td width=\"70%\"></td><TD>&nbsp;</TD></TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;DNS&nbsp;ou&nbsp;adresse&nbsp;IP&nbsp;du&nbsp;serveur&nbsp;SQL&nbsp;primaire&nbsp;(obligatoire)</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_adresse\" SIZE=\"40\" MAXLENGTH=\"200\" VALUE=\"".$sql_adresse."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;DNS&nbsp;ou&nbsp;adresse&nbsp;IP&nbsp;du&nbsp;serveur&nbsp;SQL&nbsp;secondaire&nbsp;(r&eacute;plica&nbsp;optionnel)</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_secondaire\" SIZE=\"40\" MAXLENGTH=\"200\" VALUE=\"".$sql_secondaire."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;DNS&nbsp;ou&nbsp;adresse&nbsp;IP&nbsp;du&nbsp;serveur&nbsp;SQL&nbsp;tertiaire&nbsp;(r&eacute;plica&nbsp;optionnel)</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_tertiaire\" SIZE=\"40\" MAXLENGTH=\"200\" VALUE=\"".$sql_tertiaire."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Num&eacute;ro&nbsp;de&nbsp;port&nbsp;du&nbsp;serveur&nbsp;SQL</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_port\" SIZE=\"10\" MAXLENGTH=\"6\" VALUE=\"".$sql_port."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;de&nbsp;l'administrateur&nbsp;de&nbsp;la&nbsp;base&nbsp;SQL</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_qui\" SIZE=\"10\" MAXLENGTH=\"20\" VALUE=\"".$sql_qui."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR><TD COLSPAN=\"3\" ALIGN=\"CENTER\">&nbsp;<FONT COLOR=\"#FF0000\"><B>ATTENTION : <B><I>L'administrateur de la base de donn&eacute;es doit avoir les droits minimum suivants :<BR>&nbsp;SELECT,INSERT,UPDATE,DELETE,FILE,CREATE,ALTER,INDEX,DROP<BR>&nbsp;sur la base de donn&eacute;e.</I></FONT></TD></TR>" ;
     Echo "<TR><TD COLSPAN=\"3\">&nbsp;</TD></TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Mot&nbsp;de&nbsp;passe&nbsp;de&nbsp;l'administrateur&nbsp;de&nbsp;la&nbsp;base&nbsp;SQL</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_passe\" SIZE=\"10\" MAXLENGTH=\"200\" VALUE=\"".$sql_passe."\">&nbsp;(<B>ATTENTION</B>&nbsp;:&nbsp;Mot&nbsp;de&nbsp;passe&nbsp;lisible)&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;de&nbsp;la&nbsp;base&nbsp;de&nbsp;donn&eacute;es</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_base\" VALUE=\"".$sql_base."\" SIZE=\"20\" MAXLENGTH=\"200\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Ent&ecirc;te&nbsp;de&nbsp;la&nbsp;base&nbsp;de&nbsp;donn&eacute;es</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_entete\" VALUE=\"".$sql_entete."\" SIZE=\"20\" MAXLENGTH=\"200\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     //Echo "<TR><TD COLSPAN=\"2\" ALIGN=\"CENTER\">&nbsp;<B>ATTENTION :<I> Si la base de donn&eacute;es existe, elle sera <BLINK>d&eacute;truite</BLINK> !</I></B>&nbsp;</TD></TR>" ;
     Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
     Echo "</table></div>" ;
     $num_div++ ;
              
     // Hebergement
     Echo "<div id=\"onglets".$num_div."\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
     Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
     Echo "<TR><td rowspan=\"2\" width=\"50\"><img src=\"../images/hebergement.png\"></td><TD COLSPAN=\"2\" BGCOLOR=\"".$l ["nom"]."\">&nbsp;<B>Renseignements sur le site d'h&eacute;bergement :</B>&nbsp;</TD></TR>" ;
     Echo "<TR><td width=\"10%\"></td><TD>&nbsp;</TD></TR>" ;
     If ($hebergement [0][0] < 3) { $hebergement [0][0] = 3 ; }
     Echo "<INPUT TYPE=\"hidden\" NAME=\"nombre_sites\" VALUE=\"".$hebergement [0][0]."\">&nbsp;</TD>" ;
     For ($i = 1 ; $i <= $hebergement [0][0] ; $i++)
      {
       Echo "<TR>" ;
       Echo "<TD align=\"right\" colspan=\"2\">&nbsp;<B>Adresse&nbsp;active</B>&nbsp;:&nbsp;</TD>" ;
       Echo "<TD>&nbsp;<INPUT TYPE=\"checkbox\" NAME=\"active".$i."\" VALUE=\"1\"" ; If ($hebergement [$i][5] == 1) { Echo " checked" ; }
       Echo ">&nbsp;</TD>" ;
       Echo "</TR>" ;
       Echo "<TR>" ;
       Echo "<TD align=\"right\" colspan=\"2\">&nbsp;<B>Par&nbsp;d&eacute;faut</B>&nbsp;:&nbsp;</TD>" ;
       Echo "<TD>&nbsp;<INPUT TYPE=\"radio\" NAME=\"adresse_defaut\" VALUE=\"".$i."\"" ; If ($hebergement [0][1] == $i) { Echo " checked" ; }
       Echo ">&nbsp;</TD>" ;
       Echo "</TR>" ;
       Echo "<TR>" ;
       Echo "<TD align=\"right\" colspan=\"2\">&nbsp;<B>Nom&nbsp;du&nbsp;site</B>&nbsp;:&nbsp;</TD>" ;
       Echo "<TD>&nbsp;<INPUT TYPE=\"TEXT\" NAME=\"nom_site".$i."\" SIZE=\"40\" MAXLENGTH=\"200\" VALUE=\"".$hebergement [$i][0]."\">&nbsp;</TD>" ;
       Echo "</TR>" ;
       Echo "<TR>" ;
       Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Adresse</B>&nbsp;:&nbsp;</TD>" ;
       Echo "<TD><select name=\"protocole".$i."\"><option value=\"http\"" ; If ($hebergement [$i][1] == "http") { Echo " selected" ; }
       Echo ">http</option><option value=\"https\"" ; If ($hebergement [$i][1] == "https") { Echo " selected" ; }
       Echo ">https</option></select>" ;
       Echo "<b>://</b><INPUT TYPE=\"TEXT\" NAME=\"adresse".$i."\" SIZE=\"16\" VALUE=\"".$hebergement [$i][2]."\"><b>/</b>" ;
       Echo "<INPUT TYPE=\"TEXT\" NAME=\"repertoire".$i."\" SIZE=\"40\" VALUE=\"".$hebergement [$i][3]."\"><b>/</b>&nbsp;</TD>" ;
       Echo "</TR>" ;
       Echo "<TR>" ;
       Echo "<TD align=\"right\" colspan=\"2\">&nbsp;<B>Exemple</B>&nbsp;:&nbsp;</TD>" ;
       Echo "<TD>&nbsp;<b><i><font color=\"#ff0000\">http</font></i></b>://<b><i><font color=\"#ff0000\">www.lyc-branly.ac-poitiers.fr</font></i></b>/<b><i><font color=\"#ff0000\">garennes</font></i></b>/&nbsp;</TD>" ;
       Echo "</TR>" ;
       Echo "<TR>" ;
       Echo "<TD align=\"right\" colspan=\"2\">&nbsp;<B>Adresse&nbsp;r&eacute;seau</B>&nbsp;:&nbsp;</TD>" ;
       Echo "<TD>&nbsp;<INPUT TYPE=\"TEXT\" NAME=\"adresse_reseau".$i."\" SIZE=\"16\" maxlength=\"15\" VALUE=\"".$hebergement [$i][4]."\">&nbsp;</TD>" ;
       Echo "</TR>" ;
       If ($i < $hebergement [0][0]) { Echo "<tr><td colspan=\"3\"><hr></td></tr>" ; } Else { Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ; }
      }
     Echo "</table></div>" ;
     $num_div++ ;
    }

   If (($multi_etablissement == 0) And ($droit_courant == $droit_admin))
    {
     // Mode SuperVision
     Echo "<div id=\"onglets".$num_div."\" style=\"DISPLAY:none;top:0px;left:0px;width:100%;height:100%;\">" ;
     Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" width=\"100%\">" ;
     Echo "<tr>" ;
     Echo "<td rowspan=\"2\" width=\"50\"><img src=\"../images/supervision.png\"></td>" ;
     Echo "<td align=\"right\">&nbsp;<input type=\"checkbox\" name=\"activation_mode_supervision\" value=\"1\">&nbsp;</td>" ;
     Echo "<td>&nbsp;<b>Activation du mode SuperVision</b>&nbsp;</td>" ;
     Echo "</tr>" ;
     Echo "<tr><td colspan=\"2\">&nbsp;</td></tr>" ;
     Echo "<TR><TD COLSPAN=\"3\" BGCOLOR=\"".$l ["nom"]."\">&nbsp;<B>Base&nbsp;SQL&nbsp;de&nbsp;SuperVision&nbsp;:</B>&nbsp;</TD></TR>" ;
     Echo "<TR><TD COLSPAN=\"3\">&nbsp;</TD></TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;DNS&nbsp;ou&nbsp;adresse&nbsp;IP&nbsp;du&nbsp;serveur&nbsp;SQL&nbsp;primaire&nbsp;(obligatoire)</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_adresse_supervision\" SIZE=\"40\" MAXLENGTH=\"200\" VALUE=\"".$sql_adresse_supervision."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;DNS&nbsp;ou&nbsp;adresse&nbsp;IP&nbsp;du&nbsp;serveur&nbsp;SQL&nbsp;secondaire&nbsp;(r&eacute;plica&nbsp;optionnel)</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_secondaire_supervision\" SIZE=\"40\" MAXLENGTH=\"200\" VALUE=\"".$sql_secondaire_supervision."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;DNS&nbsp;ou&nbsp;adresse&nbsp;IP&nbsp;du&nbsp;serveur&nbsp;SQL&nbsp;tertiaire&nbsp;(r&eacute;plica&nbsp;optionnel)</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_tertiaire_supervision\" SIZE=\"40\" MAXLENGTH=\"200\" VALUE=\"".$sql_tertiaire_supervision."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Num&eacute;ro&nbsp;de&nbsp;port&nbsp;du&nbsp;serveur&nbsp;SQL</B> :&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_port_supervision\" SIZE=\"10\" MAXLENGTH=\"6\" VALUE=\"".$sql_port_supervision."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;de&nbsp;l'administrateur&nbsp;SQL&nbsp;de&nbsp;la&nbsp;base&nbsp;de&nbsp;SuperViseur</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_qui_supervision\" SIZE=\"10\" MAXLENGTH=\"20\" VALUE=\"".$sql_qui_supervision."\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR><TD COLSPAN=\"3\" ALIGN=\"CENTER\">&nbsp;<FONT COLOR=\"#FF0000\"><B>ATTENTION&nbsp;:&nbsp;<B><I>L'administrateur&nbsp;SQL&nbsp;de&nbsp;la&nbsp;base&nbsp;de&nbsp;SuperViseur&nbsp;doit&nbsp;avoir&nbsp;les&nbsp;droits&nbsp;minimum&nbsp;suivants&nbsp;:<BR>&nbsp;SELECT,INSERT,UPDATE,DELETE,FILE,CREATE,ALTER,INDEX,DROP<BR>&nbsp;sur&nbsp;la&nbsp;base&nbsp;de&nbsp;donn&eacute;e.</I></FONT></TD></TR>" ;
     Echo "<TR><TD COLSPAN=\"3\">&nbsp;</TD></TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Mot&nbsp;de&nbsp;passe&nbsp;de&nbsp;l'administrateur&nbsp;SQL&nbsp;de&nbsp;la&nbsp;base&nbsp;de&nbsp;SuperViseur</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_passe_supervision\" SIZE=\"10\" MAXLENGTH=\"200\" VALUE=\"".$sql_passe_supervision."\">&nbsp;(<B>ATTENTION</B>&nbsp;:&nbsp;Mot&nbsp;de&nbsp;passe&nbsp;lisible)&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR>" ;
     Echo "<TD ALIGN=\"RIGHT\" colspan=\"2\">&nbsp;<B>Nom&nbsp;de&nbsp;la&nbsp;base&nbsp;de&nbsp;donn&eacute;es&nbsp;de&nbsp;SuperVision</B>&nbsp;:&nbsp;</TD>" ;
     Echo "<TD><INPUT TYPE=\"TEXT\" NAME=\"sql_base_supervision\" VALUE=\"garennes_supervision_essai\" SIZE=\"20\" MAXLENGTH=\"200\">&nbsp;</TD>" ;
     Echo "</TR>" ;
     Echo "<TR><TD COLSPAN=\"3\" ALIGN=\"CENTER\">&nbsp;<B>ATTENTION&nbsp;:<I>&nbsp;Si&nbsp;la&nbsp;base&nbsp;de&nbsp;donn&eacute;es&nbsp;existe,&nbsp;elle&nbsp;sera&nbsp;<BLINK>d&eacute;truite</BLINK>&nbsp;!</I></B>&nbsp;</TD></TR>" ;
     Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
     Echo "<TR><TD COLSPAN=\"3\" BGCOLOR=\"".$l ["nom"]."\">&nbsp;<B>Renseignements&nbsp;sur&nbsp;le&nbsp;SuperViseur&nbsp;:</B>&nbsp;</TD></TR>" ;
     Echo "<TR><TD COLSPAN=\"3\">&nbsp;</TD></TR>" ;
     Echo "<tr>" ;
     Echo "<td align=\"right\" colspan=\"2\">&nbsp;<b>Civilit&eacute;&nbsp;du&nbsp;SuperViseur</b>&nbsp;:&nbsp;</td>" ;
     Echo "<td><select name=\"civ_supervision\"><option value=\"0\">Mme</option><option value=\"1\">Mlle</option><option value=\"2\">M.</option></select>&nbsp;</td>" ;
     Echo "</tr>" ;
     Echo "<tr>" ;
     Echo "<td align=\"right\" colspan=\"2\">&nbsp;<b>Nom&nbsp;du&nbsp;SuperViseur</b>&nbsp;:&nbsp;</td>" ;
     Echo "<td><input type=\"text\" name=\"nom_supervision\" size=\"40\" maxlength=\"200\" value=\"Garennes\">&nbsp;</td>" ;
     Echo "</tr>" ;
     Echo "<tr>" ;
     Echo "<td align=\"right\" colspan=\"2\">&nbsp;<b>Pr&eacute;nom&nbsp;du&nbsp;SuperViseur</b>&nbsp;:&nbsp;</td>" ;
     Echo "<td><input type=\"text\" name=\"prenom_supervision\" size=\"40\" maxlength=\"200\" value=\"Superviseur\">&nbsp;</td>" ;
     Echo "</tr>" ;
     Echo "<tr>" ;
     Echo "<td align=\"right\" colspan=\"2\">&nbsp;<b>Identifiant&nbsp;du&nbsp;SuperViseur</b>&nbsp;:&nbsp;</td>" ;
     Echo "<td><input type=\"text\" name=\"identifiant_supervision\" size=\"40\" maxlength=\"200\" value=\"superviseur\">&nbsp;</td>" ;
     Echo "</tr>" ;
     Echo "<tr>" ;
     Echo "<td align=\"right\" colspan=\"2\">&nbsp;<b>Mot&nbsp;de&nbsp;passe&nbsp;du&nbsp;SuperViseur</b>&nbsp;:&nbsp;</td>" ;
     Echo "<td><input type=\"text\" name=\"mdp_supervision\" size=\"40\" maxlength=\"200\" value=\"\">&nbsp;(<B>ATTENTION</B> : Mot de passe lisible)&nbsp;</td>" ;
     Echo "</tr>" ;
     Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
     Echo "<tr><td colspan=\"3\" align=\"center\">&nbsp;<blink><b>ATTENTION&nbsp;:&nbsp;LA&nbsp;PROC&Eacute;DURE&nbsp;EST&nbsp;ACTUELLEMENT&nbsp;IRR&Eacute;VERSIBLE&nbsp;!!!</b></blink>&nbsp;</td></tr>" ;
     Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
     Echo "</table></div>" ;
     $num_div++ ;
    }
                
   Echo "<SCRIPT> onglets.afficher_pied(); </SCRIPT>" ;
   
   Echo "</td></TR></TABLE>" ;
                
   Echo "<center><input type=\"image\" src=\"../images/valider.png\" id=\"submit\" name=\"submit\" title=\"Valider\" value=\" Valider \"></center>" ;
   //Echo "<script>comptage=0;activation='submit'</script>" ;
   Echo "</FORM>" ;
  }
 Else
  {
   // Pb d'ecriture dans le repertoire
   Echo "<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" BACKGROUND=\"../../images/fond_bougeant_rouge.gif\" BGCOLOR=\"".$couleur_non_ok."\" align=\"center\">" ;
   Echo "<TR><TD>&nbsp;</TD></TR>" ;
   Echo "<TR><TD ALIGN=\"CENTER\">&nbsp;Pour&nbsp;continuer,&nbsp;vous&nbsp;devez&nbsp;r&eacute;gler&nbsp;le&nbsp;probl&egrave;me&nbsp;suivant&nbsp;:&nbsp;</TD></TR>" ;
   Echo "<TR><TD>&nbsp;</TD></TR>" ;
   $pb = 0 ;
   If (!test_ecriture_fichier ("./include", "garennes.cfg"))
    {
     Echo "<TR><TD ALIGN=\"CENTER\">&nbsp;Le&nbsp;fichier&nbsp;<B><I>garennes.cfg</I></B>&nbsp;dans&nbsp;le&nbsp;r&eacute;pertoire&nbsp;<I>/include/</I>&nbsp;n'est&nbsp;pas&nbsp;accessible&nbsp;en&nbsp;&eacute;criture.&nbsp;</TD></TR>" ;
     Echo "<TR><TD>&nbsp;</TD></TR>" ;
     $pb++ ;
    }
   Echo "<TR><TD>&nbsp;</TD></TR>" ;
   Echo "<TR><TD ALIGN=\"CENTER\">&nbsp;R&eacute;gler le" ; If ($pb > 1) { Echo "s" ; }
   Echo " probl&egrave;me" ; If ($pb > 1) { Echo "s" ; }
   Echo ", puis cliquer sur SUIVANT.</TD></TR>" ;
   Echo "<TR><TD>&nbsp;</TD></TR>" ;
   Echo "<TR BGCOLOR=\"".$theme [0][3]."\">" ;
   Echo "<FORM><TD ALIGN=\"RIGHT\" STYLE=\"border-top:1px solid #000000\">&nbsp;" ;
   Echo "<INPUT TYPE=\"BUTTON\" OnClick=\"javascript:location='./reconfiguration.php'\" TITLE=\"Rev&eacute;rifier...\" STYLE=\"border:1px solid #000000\" VALUE=\" SUIVANT -> \"></TD></FORM>" ;
   Echo "</TR></TABLE>" ;
  }
 Echo "</BODY></HTML>" ;
?>