<?php
 Session_Start () ;
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;
 Include ("../../include/garennes_filigrane.php") ; 
 
 $cnil = var_courante ("cnil", 0, null) ;
 $licence = var_courante ("licence", 0, null) ;
 $nbr_message = var_courante ("nbr_message", 0, null) ;
 $millesime = millesime (0) ;
 $id_utilisateur = utilparcode ($_SESSION ["code"]) ;
 $nom_utilisateur = utilparid ($id_utilisateur) ;
 
 If (!IsSet ($nbr_message))
  {
   $nbr_message = restaure_configuration ($id_utilisateur."_".$nom_utilisateur,"MESSAGES","NOMBRE") ;
   If (($nbr_message == "") Or ($nbr_message < 0)) { $nbr_message = 5 ; sauvegarde_configuration ($id_utilisateur."_".$nom_utilisateur,"MESSAGES","NOMBRE",5) ; }
  }
 Else
  {
   If ($nbr_message >= 0) { sauvegarde_configuration ($id_utilisateur."_".$nom_utilisateur,"MESSAGES","NOMBRE",$nbr_message) ; }
   Else { $nbr_message = restaure_configuration ($id_utilisateur."_".$nom_utilisateur,"MESSAGES","NOMBRE") ; }
  }
 
 If (IsSet ($cnil) And ($cnil != ""))
  {
   $res = SQL_commande ("UPDATE gestion SET enregistrement_cnil='".$cnil."' WHERE millesime='".$millesime."' LIMIT 1", $id_sql) ;
  }
 If (IsSet ($licence) AND ($licence == 1))
  {
   $res = SQL_commande ("SELECT * FROM etablissements WHERE licence='' AND millesime='".$millesime."' ORDER BY nom", $id_sql) ;
   If (SQL_nbr_lignes ($res) > 0)
    {
     // Connexion cite scolaire
     $etab [0] = SQL_nbr_lignes ($res) ;
     $requete = "version=".$version_garennes."&nbr=".$etab [0] ;
     For ($i = 0 ; $i < $etab [0] ; $i++)
      {
       $l = SQL_tableau_associatif ($res, "") ;
       $requete .= "&n".$i."=".Str_Replace (" ", "%20", $l ["nom"])."&a".$i."=".Str_Replace (" ", "%20", $l ["adresse"]) ;
       $requete .= "&c".$i."=".Str_Replace (" ", "%20", $l ["cp"])."&v".$i."=".Str_Replace (" ", "%20", $l ["ville"]) ;
       $requete .= "&t".$i."=".Str_Replace (" ", "%20", $l ["telephone"])."&x".$i."=".Str_Replace (" ", "%20", $l ["fax"]) ;
       $requete .= "&m".$i."=".Str_Replace (" ", "%20", $l ["numero"])."&ml".$i."=".Str_Replace (" ", "%20", $l ["mel"]) ;
       $requete .= "&d".$i."=".Str_Replace (" ", "%20", $l ["academie"]) ;
       $etab [$i+1] = $l ["id_etablissement"] ;
      }
     $i = 1 ;
     $ok = 0 ;
     While (($i <= $adresse_etablissement_scolaire [0][0]) And ($ok != $etab [0]))
      {
       // Connexion cite scolaire
       If (($f = @FSockOpen ($adresse_etablissement_scolaire [$i][0], "80", $errno, $errstr, 1)) And ($ok == 0))
        {
         // Entete du POST
	 $url = pReg_Replace ("@^http://@i", "", $adresse_etablissement_scolaire [$i][0]) ;
	 $host = SubStr ($url, 0, StrPos ($url, "/")) ;
         $p = "POST /enregistrement/enregistrement.php HTTP/1.1\r\n" ;
	 $p .= "Host: ".$adresse_etablissement_scolaire [$i][0]."\r\n" ;
	 $p .= "User-Agent: Garennes\r\n" ;
         $p .= "Content-Type: application/x-www-form-urlencoded\r\n" ;
         $p .= "Content-Length: ".StrLen ($requete)."\r\n" ;
	 $p .= "Connection: close\r\n\r\n" ;
         $p .= $requete."\r\n" ;
         FPuts ($f, $p) ;
         // Recuperation du numero de licence et enregistrement
         $reponse = "" ;
         While (!FEoF ($f)) { $reponse .= FGets ($f, 128) ; }
         //$reponse = Str_Replace ("\r\n", "<fl>", $reponse) ;
         //$rep2 = Explode ("<fl>", $reponse) ;
         //$num = Explode ("<BR>", $rep2 [SizeOf ($rep2)-1]) ;
         $reponse = Explode ("<licence>", $reponse) ;
         For ($j = 1 ; $j <= $etab [0] ; $j++)
          {
           $num = Explode ("</licence>", $reponse [$j]) ;
           If (SubStr ($num [0], 0, 1) == "G")
            {
             $ok++ ;
             $res = SQL_commande ("UPDATE etablissements SET licence='".$num [0]."' WHERE id_etablissement='".$etab [$j]."' LIMIT 1", $id_sql) ;
            }
          }
        }
       $i++ ;
      }
     If ($ok == 0) { $message = "Il y a un probl&egrave;me de connexion au site de validation de licences de Garennes !<br>Votre serveur n'est peut-&ecirc;tre pas connect&eacute; &agrave; internet !" ; $rapport [0] = 0 ; }
    }
  }

 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ;
 
 Echo "<html><head>" ;
 /*
 Echo "<script>" ;
 Echo " function AJAX_requete(repertoire,page,variables) {" ;
 Echo " var xmlRequest=null;" ;
 Echo " if (window.XMLHttpRequest) { xmlRequest=new XMLHttpRequest () ; }" ;
 Echo " else if (window.ActiveXObject) { xmlRequest=new ActiveXObject (\"Microsoft.XMLHTTP\") ; }" ;
 Echo " var url=repertoire+page;" ;
 Echo " if (variables!=\"\") { url=url+\"?\"+variables } alert(url);" ;
 Echo " xmlRequest.open(\"GET\",url,true);" ;
 Echo " xmlRequest.send(null);" ;
 Echo " xmlRequest.onreadystatechange=function() { if (xmlRequest.readyState==4) { document.write (xmlRequest.responseText) } }" ; 
 Echo " }" ;
 Echo "</script>" ;
 */
 entete_html ("Garennes", "travail", 0) ;
 Echo styles ("none", "none", "none", $l ["nom"], "none") ;
 Echo "</head>" ;
 
 Echo "<body background=\"../images/fond.png\" text=\"#000000\" onContextMenu=\"return false\">" ;
 If (IsSet ($message)) { affiche_message ($message, $rapport) ; }
 Echo "<br><br><CENTER>Bienvenue dans Garennes v".$affichage_version_garennes ;
 Echo "<br><br>Choisissez l'action d&eacute;sir&eacute;e dans le menu gauche</CENTER>" ;
 $res = SQL_commande ("SELECT * FROM etablissements WHERE licence='' AND millesime='".$millesime."' ORDER BY nom", $id_sql) ;
 If (SQL_nbr_lignes ($res) > 0)
  {
   Echo "<hr><center><b>Vous n'avez pas encore obtenu de licence GRATUITE d'utilisation de Garennes.</b></center><br>" ;
   Echo "<br><center><b>&Eacute;tablissement" ; If (SQL_nbr_lignes ($res) > 1) { Echo "s" ; }
   Echo " concern&eacute;" ; If (SQL_nbr_lignes ($res) > 1) { Echo "s" ; }
   Echo " : </b>" ;
   For ($i = 0 ; $i < SQL_nbr_lignes ($res) ; $i++)
    {
     $ll = SQL_tableau_associatif ($res, "") ;
     If ($i > 0) { Echo ", " ; }
     Echo $ll ["nom"]." (<i>".$ll ["numero"]."</i>)" ;
    }
   Echo "</center><br><br><b>Pourquoi une licence ?</b><br>" ;
   Echo "&nbsp;Garennes est un logiciel libre sous licence GNU GPL.<br>" ;
   Echo "&nbsp;Vous avez donc la possibilit&eacute; de le t&eacute;l&eacute;charger, de l'utiliser et de le modifier comme bon vous semble.<br><br>" ;
   Echo "&nbsp;L'enregistrement permet de mieux vous conna&icirc;tre, afin de mieux vous servir.<br><br>" ;
   Echo "&nbsp;<b>CETTE LICENCE EST GRATUITE, ET RESTERA GRATUITE.</b><br><br>" ;
   Echo "&nbsp;Vous pouvez l'obtenir en cliquant sur le bouton ci-dessous si vous &ecirc;tes connect&eacute; &agrave; internet...<br><br>" ;
   Echo "<form action=\"./travail.php?licence=1\" method=\"post\">" ;
   Echo "<input type=\"submit\" value=\" Obtenir une licence GRATUITE de GARENNES \" name=\"submit\">" ;
   Echo "</form>" ;
  }
 $res = SQL_commande ("SELECT * FROM etablissements WHERE licence!='' AND millesime='".$millesime."' ORDER BY nom", $id_sql) ;
 If (SQL_nbr_lignes ($res) > 0)
  {
   Echo "<hr><table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"".$l ["nom"]."\" style=\"border-collapse:collapse;border:1px #000000 solid\" align=\"center\">" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td align=\"center\">&Eacute;tablissement</td><td align=\"center\">Licence</td></tr>" ;
   For ($i = 0 ; $i < SQL_nbr_lignes ($res) ; $i++)
    {
     $ll = SQL_tableau_associatif ($res, "") ;
     Echo "<tr><td align=\"center\">&nbsp;".$ll ["nom"]."&nbsp;</td><td align=\"center\">&nbsp;".$ll ["licence"]."&nbsp;</td></tr>" ;
    }
   Echo "</table>" ;
  }
 //Else
 // {
 //  Echo "<hr><font color=\"red\"><b>Aucun &eacute;tablissement n'a encore &eacute;t&eacute; configur&eacute; !</b></font><br>" ;
 // }
 // Enregistrement CNIL
 $gestion = SQL_commande ("SELECT enregistrement_cnil FROM gestion WHERE millesime='".$millesime."' LIMIT 1", $id_sql) ;
 $g = SQL_ligne_suivante ($gestion) ;
 If ($g [0] == "")
  {
   Echo "<hr>Conform&eacute;ment &agrave; l'article 16 de la loi 78-17 du 6 janvier 1978, dite loi informatique et libert&eacute;, cette installation de<br>" ;
   Echo "Garennes doit faire l'objet d'une d&eacute;claration de traitement automatis&eacute; d'informations nominatives aupr&egrave;s de la CNIL.<br>" ;
   Echo "Vous pouvez vous d&eacute;clarer d&egrave;s maintenant en cliquant <b><a href=\"http://www.cnil.fr/index.php?id=1248#v\" target=\"fenetre\"> ici </a></b> !<br>" ;
   Echo "Si vous voulez les r&eacute;f&eacute;rences du BO, cliquer <b><a href=\"http://www.cnil.fr/index.php?id=1232\" target=\"fenetre\"> ici </a></b> !<br>" ;
   Echo "Si ce n'est pas encore le cas, laissez libre le champ ci-dessous.<br>" ;
   Echo "<form action=\"./travail.php\" name=\"form_cnil\" method=\"post\">" ;
   Echo "<font color=\"red\"><b>Enregistrement CNIL : <input type=\"text\" name=\"cnil\" value=\"".$g [0]."\" size=\"30\"></b></font>" ;
   Echo "<input type=\"image\" src=\"../images/valider.png\" name=\"submit\" value=\" Valider l'enregistrement CNIL \">" ;
   Echo "</form>" ;
  }
 Else
  {
   Echo "<hr><center><b>Enregistrement CNIL : ".$g [0]."</b><br><br>" ;
   Echo "Vous pouvez vous d&eacute;clarer d&egrave;s maintenant en cliquant <b><a href=\"http://www.cnil.fr/index.php?id=1248#v\" target=\"fenetre\"> ici </a></b> !<br>" ;
   Echo "Si vous voulez les r&eacute;f&eacute;rences du BO, cliquer <b><a href=\"http://www.cnil.fr/index.php?id=1232\" target=\"fenetre\"> ici </a></b> !<br>" ;
   Echo "<form action=\"./travail.php\" name=\"form_cnil\" method=\"post\">" ;
   Echo "<font color=\"red\"><b>Modifier l'enregistrement CNIL : <input type=\"text\" name=\"cnil\" value=\"".$g [0]."\" size=\"30\"></b></font>" ;
   Echo "<input type=\"image\" src=\"../images/valider.png\" name=\"submit\" value=\" Modifier l'enregistrement CNIL \">" ;
   Echo "</form>" ;
  }
 //Echo "<OBJECT CLASS=\"utilisateurs\" DATA=\"./travail.php?licence=1\" TYPE=\"text/html\" STANDBY=\"util_".$droit_courant."\"></OBJECT>" ;
 //Echo "<script> AJAX_requete('./','travail.php','licence=1') </script>" ;
 
 // Messages en affichage
 $requete = "SELECT m.titre,m.date_message,m.contenu,m.emetteur_type,m.emetteur_utilisateur FROM messages_recepteurs r,messages m,type_groupe_utilisateurs g
              WHERE r.recepteur_type=g.id_type_groupe_utilisateur AND g.type='".$droit_courant."' AND r.id_message=m.id_message
	        AND m.date_debut<='".Date ("Y-m-d")."' AND m.date_fin>='".Date ("Y-m-d")."' ORDER BY m.date_message DESC" ;
 If ($nbr_message > 0) { $requete .= " LIMIT ".$nbr_message ; }
 $resultats = SQL_commande ($requete, $id_sql) ;
 If (SQL_nbr_lignes ($resultats) > 0)
  {
   Echo "<BR><TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" WIDTH=\"100%\">" ;
   Echo "<TR><TD WIDTH=\"50%\" STYLE=\"border-bottom:1px #000000 solid\">&nbsp;</TD>" ;
   Echo "<TD STYLE=\"border:1px #000000 solid\" BGCOLOR=\"".$l ["lien"]."\"><B><FONT COLOR=\"#000000\">&nbsp;Votre&nbsp;lapin&nbsp;vous&nbsp;informe...&nbsp;</FONT></B></TD>" ;
   Echo "<TD WIDTH=\"50%\" STYLE=\"border-bottom:1px #000000 solid\">&nbsp;</TD></TR></TABLE>" ;
   Echo "<BR><TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\" ALIGN=\"CENTER\" BGCOLOR=\"".$l ["nom"]."\" STYLE=\"border:1px solid #000000;border-collapse:collapse\"><TR>" ;
   Echo "<TD>&nbsp;Nombre&nbsp;maximum&nbsp;de&nbsp;messages&nbsp;&agrave;&nbsp;afficher&nbsp;:&nbsp;</TD>" ;
   For ($i = 0 ; $i <= 5 ; $i++)
    {
     Echo "<TD ALIGN=\"CENTER\"" ;
     If ($i*5 == $nbr_message) { Echo " STYLE=\"border:1px #000000 solid;background-color:".$l ["lien"]."\"" ; }
     Echo "><A HREF=\"./travail.php?nbr_message=".($i*5)."&id_classe=".$id_classe."\">&nbsp;" ;
     If ($i == 0) { Echo "Tous" ; } Else { Echo ($i*5) ; }
     Echo "&nbsp;</A></TD>" ;
    }
   Echo "</TR></TABLE><BR>" ;
   $contenu [0][0] = SQL_nbr_lignes ($resultats) ;
   Echo "<TABLE ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\" BORDER=\"0\" STYLE=\"border-collapse:collapse\">" ;
   For ($i = 0 ; $i < $contenu [0][0] ; $i++)
    {
     $ligne = SQL_ligne_suivante ($resultats) ;
     Echo "<TR>" ;
     $titre_fenetre = "<B>".$ligne [0]."</B>&nbsp;(".decode_date_3 ($ligne [1]).")" ;
     Echo "<TD>" ;
     $non_centrer = 1 ;
     Include ("../include/debut_theme.inc") ;
     Echo "<TABLE ALIGN=\"LEFT\" CELLSPACING=\"0\" CELLPADDING=\"0\" BORDER=\"0\" width=\"100%\">" ;
     Echo "<TR><TD vALIGN=\"MIDDLE\"><FONT SIZE=\"3\">".$ligne [2]."</FONT></TD></TR>" ;
     If (($ligne [3] > 0) And ($ligne [4] > 0))
      {
       $r = SQL_commande ("SELECT nom,prenom FROM utilisateurs WHERE id_utilisateur='".$ligne [4]."' LIMIT 1", $id_sql) ;
       If (SQL_nbr_lignes ($r) == 1)
        {
	 $rl = SQL_ligne_suivante ($r) ;
	 Echo "<tr><td height=\"1\" bgcolor=\"#000000\"></td></tr>" ;
	 Echo "<tr><td align=\"right\"><font size=\"-2\">".$rl [1]."&nbsp;".$rl [0]."&nbsp;(" ;
	 Switch ($ligne [3])
	  {
	   Case $droit_admin : Echo "Administrateur Garennes" ; Break ;
	   Case $droit_direction : Echo "Direction" ; Break ;
	   Case $droit_secretariat : Echo "Secr&eacute;tariat" ; Break ;
	   Case $droit_cpe : Echo "CPE" ; Break ;
	   Case $droit_surveillant : Echo "Surveillant" ; Break ;
	   Case $droit_prof : Echo "Enseignant" ; Break ;
	   Case $droit_trombinoscope : Echo "Administrateur Trombinoscope" ; Break ;
	  }
	 Echo ")&nbsp;</font></td></tr>" ;
	}
      }
     Echo "</TABLE>" ;
     Include ("../include/fin_theme.inc") ;
     Echo "</TD></TR>" ;
     If ($i < $contenu [0][0]-1) { Echo "<TR><TD COLSPAN=\"2\" HEIGHT=\"5\"></TD></TR>" ; }
    }
   Echo "</TABLE>" ;
  }
 // MAJ notanet
 If (test_presence_champ ("notanet_definitions", "nom_discipline", $id_sql) == 0) { $ok = SQL_commande ("ALTER TABLE notanet_definitions ADD nom_discipline VARCHAR(200) NOT NULL AFTER ordre", $id_sql) ; }
 // MAJ filigrane
 filigrane_init ($id_sql, $millesime) ;
 Echo "</body></html>" ;
?>