<?php
 If (!IsSet ($reentrance))
  {
   Session_Start () ;
   Include ("../../include/garennes.cfg") ;
   Include ("../../include/init.php") ;
   Include ("../include/config.inc") ;
   verif_droits ($droit_courant, $_SESSION ["code"]) ;
   Include ("../../include/notanet.inc") ;
  }
 
 $menu = var_courante ("menu", 0, null) ;
 $id_service_prof = var_courante ("id_service_prof", 0, 0) ;
 $id_classe = var_courante ("id_classe", 0, null) ;
 $periode = var_courante ("periode", 0, 0) ;
 $type = var_courante ("type", 0, 0) ;
 $saisie = var_courante ("saisie", 0, 0) ;
 $millesime = millesime (0) ;
 
 $periode_defaut = restaure_configuration ("PROF_".utilparcode ($_SESSION ["code"]),"CONSULTATION","PERIODE_DEFAUT") ;
 If (!IsSet ($periode_defaut) Or ($periode_defaut == "")) { $periode_defaut = 0 ; }
 
 If ($id_classe == 0) { UnSet ($id_classe) ; }
 $param_theme = parametres_theme (themeparsession ($_SESSION ["code"])) ;
 $rep_themes = "../../images/themes/" ;
 Include ($rep_themes.$param_theme ["nom_repertoire"]."/".$param_theme ["fichier_config"]) ;
 
 $hauteur_menu = $largeur_menu = 2 ;

 If (IsSet ($menu))
  {
   $reentrance = 1 ;
   If (($menu != 0) And ($id_service_prof > 0))
    {
     Switch ($menu)
      {
       Case 1 : Switch ($type)
                 {
		  Case  1 : Include ("./saisie_notes.php") ; Exit () ;
                  Case  2 : Include ("./saisie_appreciations.php") ; Exit () ;
		  Case  3 : Include ("./cahier_textes.php") ; Exit () ;
		  Case  4 : Include ("./notanet_saisie.php") ; Exit () ;
                  Default : Include ("./travail.php") ; Exit () ;
                 }
       Case 2 : Switch ($type)
                 {
		  Case  1 : $titre = -2 ;
		            Include ("./moyennes.php") ;
		            Exit () ;
                  Case  2 : $affichage_appreciations = 1 ;
		            Include ("./consultation_carnet.php") ;
		            Exit () ;
                  Case  3 : $affichage_appreciations = 0 ;
		            Include ("./consultation_carnet.php") ;
		            Exit () ;
                  Case  4 : Include ("./affiche_bulletin.php") ; Exit () ;
                  Case  5 : Include ("./bilan_eleve.php") ; Exit () ;
                  Default : Include ("./travail.php") ; Exit () ;
                 }
      }
    }
   Else
    { Header ("Location: ./travail.php?id_classe=".$id_classe) ; }
  }
 
 /**
 * Affichage d'une zone de menu classe
 * @param int $numero_zone Numero de la zone
 */
 Function affiche_zone ($numero_zone)
  {
   Global $id_sql,$rep_themes,$param_theme,$theme,$id_professeur,$hauteur_menu,$id_classe,$test_pp,$id_classe ;
   // Droits ou pas ?
   $requete = "SELECT d.id_droit_menu_classe,d.droit,t.nom AS nom_zone,t.texte AS texte_zone,t.image AS image_zone,
                      t.couleur_texte AS couleur_texte_zone,t.couleur_fond AS couleur_fond_zone,
                      m.emplacement,m.nom,m.texte,m.image,m.menu,m.couleur_texte,m.couleur_fond
                 FROM droits_menu_classe d,menus_classe m,types_menus_classe t
                WHERE d.id_menu_classe=m.id_menu_classe AND m.id_type_menu_classe=t.id_type_menu_classe AND m.menu>'0'
	          AND (d.droit=1 OR " ;
   If ($test_pp == 1) { $requete .= "(d.droit=2 AND (d.id_utilisateur=0 OR d.id_utilisateur=".$id_professeur.")) OR " ; }
   $requete .= "(d.droit=3 AND (d.id_utilisateur=0 OR d.id_utilisateur=".$id_professeur."))) AND d.droit!=0 AND t.type=".$numero_zone." ORDER BY m.emplacement" ;
   $droits = SQL_commande ($requete, $id_sql) ;
   If (SQL_nbr_lignes ($droits) > 0)
    {
     If ($numero_zone == 1) { $nom_zone = "saisie" ; } Else { $nom_zone = "consultation" ; }
     $ligne [0][0] = 0 ;
     For ($i = 0 ; $i < SQL_nbr_lignes ($droits) ; $i++)
      {
       $d = SQL_tableau_associatif ($droits, "") ;
       If ($i == 0)
	{
	 // TITRE -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         Echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">" ;
         Echo "<tr><td valign=\"top\" colspan=\"3\">" ;
	 If ($d ["image_zone"] != "")
	  {
	   If (SubStr ($d ["image_zone"], 0, 1) == "$")
	    {
	     $t = Explode("-", SubStr ($d ["image_zone"], 1, StrLen ($d ["image_zone"])-1)) ;
	     If ($t [0] > 0) { $src = $rep_themes.$param_theme ["nom_repertoire"]."/".$theme [$t [0]][$t [1]] ; }
	     Else { $src = "../images/".$d ["image_zone"] ; }
	    }
	   Else { $src = "../images/".$d ["image_zone"] ; }
	   Echo "<img src=\"".$src."\" border=\"0\" title=\"".$d ["nom_zone"]."\">" ;
	  }
	 Else
	  {
	   Echo "<font color=\"".$d ["couleur_texte_zone"]."\" title=\"".$d ["nom_zone"]."\">".$d ["texte_zone"]."</font>" ;
	  }
         Echo "</td></tr><tr><td height=\"".$hauteur_menu."\" colspan=\"2\"></td></tr>" ;
	}
       If ($d ["emplacement"] < 4)
        {
         // PREMIERE LIGNE -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         If ($ligne [0][0] == 0) { Echo "<tr>" ; $ligne [0][0]++ ; $ligne [$ligne [0][0]][0] = 1 ; $numero = 0 ; }
        }
       Else
        {
         // DEUXIEME LIGNE -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         If ($ligne [0][0] == 1) { Echo "</tr><tr>" ; $ligne [0][0]++ ; $ligne [$ligne [0][0]][0] = 4 ; }
        }
       For ($j = $ligne [$ligne [0][0]][0] ; $j < $d ["emplacement"] ; $j++)
        {
         Echo "<td></td>" ;
        }
       $ligne [$ligne [0][0]][0]++ ;
       $ok_disc = 1 ;
       If ($d ["nom"] == "Notanet")
        {
	 If ((periode_actuelle ($id_classe) == 3) And (notanet_actif_classe ($id_classe) == 1)) { $ok_disc = 1 ; } Else { $ok_disc = 0 ; }
	}
       ElseIf ($d ["nom"] == "Cahier de textes")
        {
	 If (cahier_textes_actif ($id_classe) == 1) { $ok_disc = 1 ; } Else { $ok_disc = 0 ; }
	}
       If ($ok_disc == 1)
        {
         Echo "<td valign=\"top\">" ;
         Echo "<input type=\"hidden\" name=\"code\" value=\"".$_SESSION ["code"]."\">" ;
         Echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\">" ;
         Echo "<input type=\"hidden\" name=\"professeur\" value=\"".$id_professeur."\">" ;
         Echo "<input type=\"hidden\" name=\"periode\" value=\"".periode_valide ($id_classe)."\">" ;
         Echo "<input type=\"hidden\" name=\"menu\" value=\"".$numero_zone."\">" ;
         Echo "<a onClick=\"javascript:coche(document.".$nom_zone.".type,".$numero.",".$d ["menu"].")\" border=\"0\">" ;
         Echo "<input type=\"radio\" name=\"type\" value=\"".$d ["menu"]."\" onClick=\"coche(document.".$nom_zone.".type,".$numero.",".$d ["menu"].")\">&nbsp;" ;
         If ($d ["image_zone"] != "")
          {
	   If (SubStr ($d ["image"], 0, 1) == "$")
	    {
	     $t = Explode("-", SubStr ($d ["image"], 1, StrLen ($d ["image"])-1)) ;
	     If ($t [0] > 0) { $src = $rep_themes.$param_theme ["nom_repertoire"]."/".$theme [$t [0]][$t [1]] ; }
	     Else { $src = "../images/".$d ["image"] ; }
	    }
	   Else { $src = "../images/".$d ["image"] ; }
	   Echo "<img src=\"".$src."\" border=\"0\" title=\"".$d ["nom"]."\">" ;
	  }
         Else
	  {
	   Echo "<font color=\"".$d ["couleur_texte"]."\" title=\"".$d ["nom"]."\">".$d ["texte"]."</font>" ;
	  }
         Echo "&nbsp;</a></td>" ;
	}
       Else { Echo "<td height=\"12\">&nbsp;</td>" ; }
       $numero++ ;
      }
    }
   If ($ligne [0][0] == 1) { Echo "</tr><tr><td colspan=\"3\">&nbsp;</td></tr>" ; }
  }
 
 Echo "<html><head>" ;
 entete_html ("Garennes", "travail_affichage", 0) ;
 Echo styles ("none", "none", "none", $theme [0][32], "none") ;
 If (IsSet ($id_classe)) { Include ("./menu_classe.js") ; }
 Echo "</head>" ; 
 
 Echo "<body bgcolor=\"".$theme [0][3]."\" text=\"".$theme [0][4]."\" onContextMenu=\"return false\">" ;

 If (IsSet ($id_classe) And ($id_classe > 0))
  {
   $id_professeur = $professeur = utilparcode ($_SESSION ["code"]) ;
   $id_prof_princ = professeur_principal ($id_classe) ;
   If ($id_professeur == $id_prof_princ) { $test_pp = 1 ; } Else { $test_pp = 0 ; }
   $nom_classe = nom_classe_long_parid ($id_classe) ; If (!$nom_classe) { $nom_classe = nom_classe_bref_parid ($id_classe) ; }
   $effectifs = effectif ($id_classe) ;
   $num_p = periode_valide ($id_classe) ;
   $nom_p = nom_periode ($id_classe) ;
   $nbr_p = nombre_periode ($id_classe) ;
   If (IsSet ($nom_frame)) { $acces = "top.".$nom_frame ; } Else { $acces = "top" ; }
   Echo "<script>" ;
   Echo $acces.".menu_status.document.clear();" ;
   Echo $acces.".menu_status.document.close();" ;
   Echo $acces.".menu_status.document.writeln(\"<html>\");" ;
   Echo $acces.".menu_status.document.writeln(\"<body bgcolor=\\\"".$theme [0][3]."\\\" onContextMenu=\\\"return false\\\">\");" ;
   Echo $acces.".menu_status.document.writeln(\"<center><font color=\\\"".$theme [0][4]."\\\"><b>Classe</b></font></center>\");" ;
   Echo $acces.".menu_status.document.writeln(\"<table bgcolor=\\\"".$theme [0][33]."\\\" border=\\\"0\\\" width=\\\"90%\\\" align=\\\"center\\\" cellspacing=\\\"0\\\" cellpadding=\\\"0\\\">\");" ;
   Echo $acces.".menu_status.document.writeln(\"<tr>\");" ;
   Echo $acces.".menu_status.document.writeln(\"<td align=\\\"center\\\" valign=\\\"middle\\\" height=\\\"100%\\\">&nbsp;<b><font color=\\\"".$theme [0][37]."\\\">" ;
   If (StrLen ($nom_classe) > 14) { Echo "<font size=\\\"-2\\\">".$nom_classe."</font>" ; } Else { Echo $nom_classe ; }
   Echo "</b>&nbsp;<br>&nbsp;(".$effectifs."&nbsp;&eacute;l&egrave;ves)&nbsp;</font></td>\");" ;
   Echo $acces.".menu_status.document.writeln(\"</tr></table>\");" ;
   Echo $acces.".menu_status.document.writeln(\"</body></html>\");" ;
   Echo "</script>" ;
  
   Echo "<table border=\"0\" height=\"100%\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" valign=\"top\">" ;
   Echo "<tr>" ;
   
   $table = eleves_par_prof ($professeur) ;
   $nbr_discipline = 0 ;
   $num_discipline = 0 ;
   For ($i = 1 ; $i <= $table [0][0][0] ; $i++)
    {
     If ($table [$i][0][4] == $id_classe)
      {
       $nbr_discipline++ ;
       $num_discipline = $i ;
      }
    }

   // Espace vide
   Echo "<td width=\"".($largeur_menu*5)."\"></td>" ;
   
   // Zone de saisie
   $affichage_discipline = 0 ;
   If ($saisie == 1)
    {
     // Affichage de toutes les disciplines enseignees par le prof
     Echo "<form action=\"./menu_classe.php\" name=\"saisie\" method=\"post\" onSubmit=\"return verif_saisie(".(notanet_actif_classe ($id_classe)*2+cahier_textes_actif ($id_classe)).")\">" ;
     Echo "<td valign=\"top\">" ;
     affiche_zone (1) ;
     // TROISIEME LIGNE -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
     Echo "<tr>" ;
     Echo "<td valign=\"top\" colspan=\"2\" style=\"border-top:1px ".$theme [0][5]." dashed\">" ;
     Echo "<img src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [16][0]."\" border=\"0\" title=\"Choisissez une discipline...\">&nbsp;" ;
     If ($nbr_discipline > 1)
      {
       Echo "<select name=\"id_service_prof\">" ;
       For ($i = 1 ; $i <= $table [0][0][0] ; $i++)
        {
         If ($table [$i][0][4] == $id_classe)
          {
	   If ($table [$i][1][0] > 0)
	    {
             Echo "<option value=\"".$table [$i][0][0]."\">(".$table [$i][0][0].")" ;
             If ($table [$i][0][5])
              {
	       $s_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$table [$i][0][5]."' LIMIT 1", $id_sql) ;
	       $sd = SQL_ligne_suivante ($s_disc) ;
	       Echo $sd [0]."-" ;
	      }
             Echo nom_disc_bref_parid ($table [$i][0][3]) ;
             If ($table [$i][0][2]) { Echo " (".nom_groupe_parid ($table [$i][0][2]).")" ; }
             Echo "</option>" ;
            }
          }
        }
       Echo "</select>" ;
      }
     ElseIf ($nbr_discipline == 1)
      {
       Echo "<input type=\"hidden\" name=\"id_service_prof\" value=\"".$table [$num_discipline][0][0]."\">" ;
       Echo "<font size=\"".$theme [0][28]."\"><b>(".$table [$num_discipline][0][0].")" ;
       If ($table [$num_discipline][0][5])
        {
	 $s_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$table [$num_discipline][0][5]."' LIMIT 1", $id_sql) ;
	 $sd = SQL_ligne_suivante ($s_disc) ;
	 Echo $sd [0]."-" ;
	}
       Echo nom_disc_bref_parid ($table [$num_discipline][0][3]) ;
       If ($table [$num_discipline][0][2]) { Echo " (".nom_groupe_parid ($table [$num_discipline][0][2]).")" ; }
       Echo "</b></font>" ;
       $affichage_discipline = 1 ;
      }
     Else
      {
       Echo "<input type=\"hidden\" name=\"id_service_prof\" value=\"-1\"><font size=\"".$theme [0][28]."\"><b>Aucune</b></font>" ;
       $affichage_discipline = 1 ;
      }
     Echo "</td>" ;
     Echo "<td align=\"right\" valign=\"top\" style=\"border-top:1px ".$theme [0][5]." dashed\"><input type=\"image\" src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][0]."\" border=\"0\"" ;
     Echo " title=\"Valider la s&eacute;lection.\"></td>" ;
     Echo "</tr></table></td></form>" ;
     // Espace vide
     Echo "<td width=\"".$largeur_menu."\"></td>" ;
     Echo "<td width=\"1\" bgcolor=\"".$theme [0][5]."\"></td>" ;
     Echo "<td width=\"".$largeur_menu."\"></td>" ;
    }
   
   // Zone de consulation
   If ($saisie != -1)
    {
     Echo "<form action=\"./menu_classe.php\" name=\"consultation\" method=\"post\" onSubmit=\"return verif_consultation()\">" ;
     Echo "<td valign=\"top\">" ;
     affiche_zone (2) ;
     // TROISIEME LIGNE -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
     // Ligne de validation
     Echo "<tr style=\"border-top:1px ".$theme [0][5]." dashed\">" ;
     // Discipline
     If (IsSet ($affichage_discipline) And ($affichage_discipline != 1))
      {
       Echo "<td valign=\"top\" style=\"border-top:1px ".$theme [0][5]." dashed\">" ;
       Echo "<img src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [16][0]."\" border=\"0\" title=\"Choisissez une discipline...\">" ;
       If ($nbr_discipline > 1)
        {
         Echo "<select name=\"id_service_prof\">" ;
         For ($i = 1 ; $i <= $table [0][0][0] ; $i++)
          {
           If ($table [$i][0][4] == $id_classe)
            {
             Echo "<option value=\"".$table [$i][0][0]."\">(".$table [$i][0][0].")" ;
             If ($table [$i][0][5])
               {
               $s_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$table [$i][0][5]."' LIMIT 1", $id_sql) ;
  	       $sd = SQL_ligne_suivante ($s_disc) ;
  	       Echo $sd [0]."-" ;
  	      }
             Echo nom_disc_bref_parid ($table [$i][0][3]) ;
             If ($table [$i][0][2]) { Echo " (".nom_groupe_parid ($table [$i][0][2]).")" ; }
             Echo "</option>" ;
            }
          }
         Echo "</select>" ;
        }
       Else
        {
         Echo "<input type=\"hidden\" name=\"id_service_prof\" value=\"".$table [$num_discipline][0][0]."\">" ;
	 Echo "<font size=\"".$theme [0][28]."\"><b>(".$table [$num_discipline][0][0].")" ;
         If ($table [$num_discipline][0][5])
          {
           $s_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$table [$num_discipline][0][5]."' LIMIT 1", $id_sql) ;
           $sd = SQL_ligne_suivante ($s_disc) ;
           Echo $sd [0]."-" ;
          }
         Echo nom_disc_bref_parid ($table [$num_discipline][0][3]) ;
         If ($table [$num_discipline][0][2]) { Echo " (".nom_groupe_parid ($table [$num_discipline][0][2]).")" ; }
         Echo "</b></font>" ;
        }
       Echo "</td><td valign=\"top\" style=\"border-top:1px ".$theme [0][5]." dashed\">" ;
      }
     Else
      {
       Echo "<td valign=\"top\" align=\"center\" style=\"border-top:1px ".$theme [0][5]." dashed\" colspan=\"2\"><input type=\"hidden\" name=\"id_service_prof\" VALUE=\"".$table [$num_discipline][0][0]."\">" ;
      }
     // Options : Periode et matiere
     Echo "&nbsp;<img src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [20][0]."\" border=\"0\" title=\"Choisissez la p&eacute;riode...\">&nbsp;" ;
     If ($num_p == 1)
      {
       Echo "<input type=\"hidden\" name=\"periode\" value=\"1\">1er&nbsp;".$nom_p ;
      }
     Else
      {
       Echo "<select name=\"periode\">" ;
       If ($periode_defaut == 1) { $p = periode_valide ($id_classe) ; } Else { $p = 1 ; }
       For ($i = 1 ; $i <= $num_p ; $i++)
        {
         Echo "<option value=\"".$i."\"" ;
         If ($i == $p) { Echo " selected" ; }
         Echo ">".$i ;
         If ($i == 1) { Echo "er&nbsp;" ; } Else { Echo "&egrave;me&nbsp;" ; }
         Echo $nom_p."</option>" ;
        }
       If ($num_p > 1) { Echo "<option value=\"".($nbr_p+1)."\">Ann&eacute;e</option>" ; }
       Echo "</select>" ;
      }
     Echo "</td>" ;
     // Validation
     Echo "<td align=\"center\" valign=\"top\" style=\"border-top:0px ".$theme [0][5]." dashed\"><input type=\"image\" src=\"".$rep_themes.$param_theme ["nom_repertoire"]."/".$theme [9][0]."\" border=\"0\" title=\"Valider la s&eacute;lection.\"></td>" ;
     Echo "</tr></table></td></tr></table></form>" ;
    }
   Else
    {
     Echo "<td align=\"center\"><font size=\"+2\"><b>SAISIE&nbsp;&nbsp;NON&nbsp;&nbsp;COMMENC&Eacute;E&nbsp;&nbsp;!</b></font></td></tr></table>" ;
    } 
  }
 Else
  {
   If (IsSet ($nom_frame)) { $acces = "top.".$nom_frame ; } Else { $acces = "top" ; }
   Echo "<script>" ;
   Echo $acces.".menu_status.document.clear ();".$acces.".menu_status.document.close ();" ;
   Echo $acces.".menu_status.document.writeln (\"<html><body bgcolor=\\\"".$theme [0][3]."\\\" onContextMenu=\\\"return false\\\"></body></html>\");" ;
   Echo "</script>" ;
  }
 Echo "</body></html>" ;
?>